import _ConfigProvider from "antd/es/config-provider";
import _App from "antd/es/app";
import _Space from "antd/es/space";
import _ColorPicker from "antd/es/color-picker";
import _Slider from "antd/es/slider";
import _Upload from "antd/es/upload";
import _Switch from "antd/es/switch";
import _InputNumber from "antd/es/input-number";
import _Cascader from "antd/es/cascader";
import _TreeSelect from "antd/es/tree-select";
import _Form from "antd/es/form";
import _Checkbox from "antd/es/checkbox";
import _Radio from "antd/es/radio";
import _Tree from "antd/es/tree";
import _Tooltip from "antd/es/tooltip";
import _Button from "antd/es/button";
import _Input from "antd/es/input";
import _Select from "antd/es/select";
import _slicedToArray from "@babel/runtime/helpers/esm/slicedToArray";
import React, { useState } from 'react';
import { StyleProvider, legacyLogicalPropertiesTransformer } from '@ant-design/cssinjs';
import { XAntdConfig, XTitle } from "./..";
import { DeleteOutlined, EditOutlined, FileWordOutlined, FolderOpenOutlined, FolderOutlined, InfoCircleOutlined, PlusOutlined, SaveFilled, SearchOutlined } from '@ant-design/icons';
import "./styles.less";
import "../styles/xhstandard.less";
import DirectoryTree from 'antd/es/tree/DirectoryTree';
import TextArea from 'antd/es/input/TextArea';
import classNames from 'classnames';
export default function Index() {
  var treeData = [{
    title: '微生物监测',
    key: '0-0',
    children: [{
      title: '微生物监测手册（二级报表）',
      key: '0-0-0',
      isLeaf: true
    }, {
      title: '细菌耐药监测预警',
      key: '0-0-1',
      isLeaf: true
    }, {
      title: '细菌对常用抗菌药物耐药情况统计细菌对常用抗菌药物耐药情况统计',
      key: '0-0-2',
      isLeaf: true
    }, {
      title: '科室检出菌及部位分布',
      key: '0-0-3',
      isLeaf: true
    }, {
      title: '全年细菌耐药监测结果',
      key: '0-0-4',
      isLeaf: true
    }]
  }, {
    title: '质量指标监测',
    key: '0-1',
    children: [{
      title: '样本不合格情况年报',
      key: '0-1-0',
      isLeaf: true
    }, {
      title: '标本TAT情况年报',
      key: '0-1-1',
      isLeaf: true
    }, {
      title: '危急值情况报告年报',
      key: '0-1-2',
      isLeaf: true
    }, {
      title: '报告召回情况报告年报',
      key: '0-1-3',
      isLeaf: true
    }]
  }, {
    title: '实验室管理',
    key: '0-2',
    children: [{
      title: '细胞形态学检验岗位人员',
      key: '0-2-0',
      isLeaf: true
    }, {
      title: '流式细胞术检测岗位人员',
      key: '0-2-1',
      isLeaf: true
    }]
  }];
  var _useState = useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    componentDisabled = _useState2[0],
    setComponentDisabled = _useState2[1];
  var _useState3 = useState(false),
    _useState4 = _slicedToArray(_useState3, 2),
    showErrorInline = _useState4[0],
    setshowErrorInline = _useState4[1];
  return /*#__PURE__*/React.createElement(StyleProvider, {
    transformers: [legacyLogicalPropertiesTransformer],
    hashPriority: "high"
  }, /*#__PURE__*/React.createElement(_ConfigProvider, XAntdConfig, /*#__PURE__*/React.createElement(_App, {
    style: {
      width: 'inherit',
      height: 'inherit'
    }
  }, /*#__PURE__*/React.createElement("div", {
    style: {
      width: '100%',
      height: '100%',
      display: 'flex',
      flexDirection: 'column',
      gap: '4px'
    }
  }, /*#__PURE__*/React.createElement(XTitle, {
    style: {
      width: '500px'
    },
    title: "\u6807\u9898\u540D\u79F0"
    //hideIndicate={true}
    ,
    content: /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(_Select, {
      defaultValue: '全部'
    }, /*#__PURE__*/React.createElement(_Select.Option, null, "\u5168\u90E8")), /*#__PURE__*/React.createElement(_Select, {
      placeholder: "\u68C0\u9A8C\u79D1\u5BA4",
      style: {
        width: '100px'
      }
    }), /*#__PURE__*/React.createElement(_Input, {
      placeholder: "\u8F93\u5165\u5173\u952E\u5B57",
      style: {
        width: '120px'
      }
    }), /*#__PURE__*/React.createElement(_Button, {
      type: "primary",
      style: {
        marginLeft: '8px'
      },
      icon: /*#__PURE__*/React.createElement(SearchOutlined, null)
    })),
    right: /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(_Button, {
      type: "primary",
      ghost: true
    }, "\u7981\u7528"), /*#__PURE__*/React.createElement(_Button, {
      type: "primary",
      danger: true
    }, "\u5220\u9664"))
  }), /*#__PURE__*/React.createElement(XTitle, {
    title: "\u8F93\u5165\u6846"
  }), /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement(_Input, {
    placeholder: "\u8F93\u5165\u5185\u5BB9",
    style: {
      width: '200px'
    }
    //addonAfter={<InfoCircleFilled></InfoCircleFilled>}
  }), /*#__PURE__*/React.createElement(_Button, {
    type: "primary"
  }, "\u4E3B\u8981\u6309\u94AE"), /*#__PURE__*/React.createElement(_Input, {
    placeholder: "\u8F93\u5165\u5185\u5BB9",
    style: {
      width: '200px'
    },
    suffix: /*#__PURE__*/React.createElement(_Tooltip, {
      title: "Extra information"
    }, /*#__PURE__*/React.createElement(InfoCircleOutlined, {
      style: {
        color: 'rgba(0,0,0,.45)'
      }
    }))
  })), /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement(_Input.TextArea, {
    placeholder: "\u8F93\u5165\u5185\u5BB9",
    style: {
      width: '200px'
    }
    //addonAfter={<InfoCircleFilled></InfoCircleFilled>}
  }), /*#__PURE__*/React.createElement(_Input.TextArea, {
    showCount: true,
    maxLength: 100,
    placeholder: "\u5E26\u5B57\u6570\u7EDF\u8BA1",
    style: {
      width: '200px'
    }
    //addonAfter={<InfoCircleFilled></InfoCircleFilled>}
  })), /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement(_Input, {
    placeholder: "\u8F93\u5165\u5185\u5BB9",
    style: {
      width: '200px'
    },
    addonAfter: /*#__PURE__*/React.createElement(EditOutlined, null)
  }))), /*#__PURE__*/React.createElement(XTitle, {
    title: "\u6309\u94AE"
  }), /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement(_Button, {
    type: "primary"
  }, "\u4E3B\u8981\u6309\u94AE"), /*#__PURE__*/React.createElement(_Button, {
    type: "primary",
    icon: /*#__PURE__*/React.createElement(SaveFilled, null)
  }, "\u4E3B\u8981\u6309\u94AE"), /*#__PURE__*/React.createElement(_Button, {
    type: "primary",
    disabled: true,
    icon: /*#__PURE__*/React.createElement(SaveFilled, null)
  }, "\u4E3B\u8981\u6309\u94AE"), /*#__PURE__*/React.createElement(_Button, {
    disabled: true,
    type: "primary"
  }, "\u4E3B\u8981\u6309\u94AE")), /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement(_Button, {
    type: "primary",
    ghost: true
  }, "\u6B21\u8981\u6309\u94AE"), /*#__PURE__*/React.createElement(_Button, {
    type: "primary",
    ghost: true,
    icon: /*#__PURE__*/React.createElement(SaveFilled, null)
  }, "\u6B21\u8981\u6309\u94AE"), /*#__PURE__*/React.createElement(_Button, {
    type: "primary",
    ghost: true,
    disabled: true,
    icon: /*#__PURE__*/React.createElement(SaveFilled, null)
  }, "\u6B21\u8981\u6309\u94AE"), /*#__PURE__*/React.createElement(_Button, {
    type: "primary",
    ghost: true,
    disabled: true
  }, "\u6B21\u8981\u6309\u94AE")), /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement(_Button, {
    type: "primary",
    danger: true
  }, "\u5371\u9669\u6309\u94AE"), /*#__PURE__*/React.createElement(_Button, {
    type: "primary",
    danger: true,
    icon: /*#__PURE__*/React.createElement(DeleteOutlined, null)
  }, "\u5371\u9669\u6309\u94AE"), /*#__PURE__*/React.createElement(_Button, {
    type: "primary",
    danger: true,
    ghost: true
  }, "\u5371\u9669\u6309\u94AE"), /*#__PURE__*/React.createElement(_Button, {
    type: "primary",
    danger: true,
    ghost: true,
    icon: /*#__PURE__*/React.createElement(DeleteOutlined, null)
  }, "\u5371\u9669\u6309\u94AE")), /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement(_Button, {
    type: "primary",
    danger: true
  }, "\u5371\u9669\u6309\u94AE"), /*#__PURE__*/React.createElement(_Button, {
    type: "primary",
    danger: true,
    icon: /*#__PURE__*/React.createElement(DeleteOutlined, null)
  }, "\u5371\u9669\u6309\u94AE"), /*#__PURE__*/React.createElement(_Button, {
    type: "primary",
    danger: true,
    ghost: true
  }, "\u5371\u9669\u6309\u94AE"), /*#__PURE__*/React.createElement(_Button, {
    type: "primary",
    danger: true,
    ghost: true,
    icon: /*#__PURE__*/React.createElement(DeleteOutlined, null)
  }, "\u5371\u9669\u6309\u94AE")), /*#__PURE__*/React.createElement(XTitle, {
    title: "\u6811"
  }), /*#__PURE__*/React.createElement("div", {
    style: {
      display: 'flex',
      gap: '2px'
    }
  }, /*#__PURE__*/React.createElement("div", {
    style: {
      width: '260px',
      height: '500px',
      border: '1px #e2e2e2 solid',
      padding: '6px'
    }
  }, /*#__PURE__*/React.createElement(DirectoryTree, {
    icon: function icon(e) {
      if (e.isLeaf) {
        return /*#__PURE__*/React.createElement(FileWordOutlined, null);
      }
      if (e.expanded) {
        return /*#__PURE__*/React.createElement(FolderOpenOutlined, null);
      } else {
        return /*#__PURE__*/React.createElement(FolderOutlined, null);
      }
    },
    titleRender: function titleRender(nodeData) {
      //@ts-ignore
      return /*#__PURE__*/React.createElement("span", null, nodeData.title);
    },
    switcherIcon: null,
    defaultExpandAll: true,
    treeData: treeData
  })), /*#__PURE__*/React.createElement("div", {
    style: {
      width: '260px',
      height: '500px',
      border: '1px #e2e2e2 solid',
      padding: '6px'
    }
  }, /*#__PURE__*/React.createElement(_Tree, {
    titleRender: function titleRender(nodeData) {
      //@ts-ignore
      return /*#__PURE__*/React.createElement("span", null, nodeData.title);
    },
    blockNode: true,
    defaultExpandAll: true,
    checkable: true,
    treeData: treeData
  }))), /*#__PURE__*/React.createElement(XTitle, {
    title: "\u8868\u5355"
  }), /*#__PURE__*/React.createElement("div", {
    style: {
      marginBottom: '5px'
    }
  }, /*#__PURE__*/React.createElement(_Radio.Group, {
    value: componentDisabled,
    onChange: function onChange(e) {
      return setComponentDisabled(e.target.value);
    }
  }, /*#__PURE__*/React.createElement(_Radio.Button, {
    value: true
  }, "\u7981\u7528"), /*#__PURE__*/React.createElement(_Radio.Button, {
    value: false
  }, "\u6B63\u5E38")), /*#__PURE__*/React.createElement(_Checkbox, {
    style: {
      marginLeft: '4px'
    },
    value: showErrorInline,
    onChange: function onChange(e) {
      return setshowErrorInline(e.target.checked);
    }
  }, "\u884C\u5185\u663E\u793A\u9519\u8BEF")), /*#__PURE__*/React.createElement(XTitle, {
    title: "\u8FD9\u91CC\u9700\u8981\u6709\u6807\u9898"
  }), /*#__PURE__*/React.createElement(_Form, {
    colon: false,
    labelCol: {
      span: 4
    },
    wrapperCol: {
      span: 14
    },
    layout: "horizontal",
    disabled: componentDisabled,
    style: {
      maxWidth: 600,
      background: 'white'
    },
    className: classNames(showErrorInline ? 'show-error-inline' : null)
  }, /*#__PURE__*/React.createElement(_Form.Item, {
    label: "Checkbox",
    name: "disabled",
    valuePropName: "checked"
  }, /*#__PURE__*/React.createElement(_Checkbox, null, "Checkbox")), /*#__PURE__*/React.createElement(_Form.Item, {
    label: "Radio"
  }, /*#__PURE__*/React.createElement(_Radio.Group, null, /*#__PURE__*/React.createElement(_Radio, {
    value: "apple"
  }, " Apple "), /*#__PURE__*/React.createElement(_Radio, {
    value: "pear"
  }, " Pear "))), /*#__PURE__*/React.createElement(_Form.Item, {
    name: "input",
    label: "\u8F93\u5165\u9879",
    rules: [{
      required: true,
      message: '不允许为空!'
    }]
  }, /*#__PURE__*/React.createElement(_Input, null)), /*#__PURE__*/React.createElement(_Form.Item, {
    label: "Select",
    name: "\u4E0B\u62C9\u9879",
    rules: [{
      required: true,
      message: '不允许为空!'
    }]
  }, /*#__PURE__*/React.createElement(_Select, null, /*#__PURE__*/React.createElement(_Select.Option, {
    value: "demo"
  }, "Demo"))), /*#__PURE__*/React.createElement(_Form.Item, {
    label: "TreeSelect"
  }, /*#__PURE__*/React.createElement(_TreeSelect, {
    treeData: [{
      title: 'Light',
      value: 'light',
      children: [{
        title: 'Bamboo',
        value: 'bamboo'
      }]
    }]
  })), /*#__PURE__*/React.createElement(_Form.Item, {
    label: "Cascader"
  }, /*#__PURE__*/React.createElement(_Cascader, {
    options: [{
      value: 'zhejiang',
      label: 'Zhejiang',
      children: [{
        value: 'hangzhou',
        label: 'Hangzhou'
      }]
    }]
  })), /*#__PURE__*/React.createElement(_Form.Item, {
    label: "DatePicker"
  }), /*#__PURE__*/React.createElement(_Form.Item, {
    label: "RangePicker"
  }), /*#__PURE__*/React.createElement(_Form.Item, {
    label: "InputNumber"
  }, /*#__PURE__*/React.createElement(_InputNumber, null)), /*#__PURE__*/React.createElement(_Form.Item, {
    label: "TextArea"
  }, /*#__PURE__*/React.createElement(TextArea, {
    rows: 4
  })), /*#__PURE__*/React.createElement(_Form.Item, {
    label: "Switch",
    valuePropName: "checked"
  }, /*#__PURE__*/React.createElement(_Switch, null)), /*#__PURE__*/React.createElement(_Form.Item, {
    rules: [{
      required: true,
      message: '请选择文件!'
    }],
    label: "Upload",
    name: "upload",
    valuePropName: "fileList"
  }, /*#__PURE__*/React.createElement(_Upload, {
    action: "/upload.do",
    listType: "picture-card"
  }, /*#__PURE__*/React.createElement("button", {
    style: {
      border: 0,
      background: 'none'
    },
    type: "button"
  }, /*#__PURE__*/React.createElement(PlusOutlined, null), /*#__PURE__*/React.createElement("div", {
    style: {
      marginTop: 8
    }
  }, "Upload")))), /*#__PURE__*/React.createElement(_Form.Item, {
    label: "Button"
  }, /*#__PURE__*/React.createElement(_Button, null, "Button")), /*#__PURE__*/React.createElement(_Form.Item, {
    label: "Slider"
  }, /*#__PURE__*/React.createElement(_Slider, null)), /*#__PURE__*/React.createElement(_Form.Item, {
    label: "ColorPicker"
  }, /*#__PURE__*/React.createElement(_ColorPicker, null)), /*#__PURE__*/React.createElement(_Form.Item, {
    wrapperCol: {
      offset: 8,
      span: 16
    }
  }, /*#__PURE__*/React.createElement(_Space, null, /*#__PURE__*/React.createElement(_Button, {
    htmlType: "button"
  }, "\u6DFB\u52A0"), /*#__PURE__*/React.createElement(_Button, {
    type: "primary",
    htmlType: "submit"
  }, "\u4FDD\u5B58"), /*#__PURE__*/React.createElement(_Button, {
    htmlType: "button"
  }, "\u5220\u9664")))))));
}