/**
 * 返回当前元素到顶部元素容器的每层容器所有padding值
 * @param ele 当前元素
 * @param topClass 顶部元素class
 * @returns {number} paddingAll
 */
export var getPaddingAll = function getPaddingAll(ele, topClass) {
  var _ele = ele;
  var paddingAll = 0;
  while (_ele) {
    var _ele2;
    var _style = window.getComputedStyle(_ele);
    paddingAll += parseInt(_style.paddingLeft, 10);
    paddingAll += parseInt(_style.paddingRight, 10);
    if (topClass && (_ele2 = _ele) !== null && _ele2 !== void 0 && (_ele2 = _ele2.classList) !== null && _ele2 !== void 0 && _ele2.contains(topClass)) {
      break;
    }
    _ele = _ele.parentElement;
  }
  return paddingAll;
};