import provinceData from "./provinceData";
/**
 * 省市区级联数据转换
 */
var provincesData2Options = function provincesData2Options() {
  var newProvincesData = [];
  provinceData.forEach(function (item) {
    var province = item.province,
      citys = item.citys;
    var obj = {};
    obj.value = province;
    obj.label = province;
    obj.children = [];
    if (['北京', '天津', '重庆', '上海'].includes(province)) {
      citys.forEach(function (innerItem) {
        var areas = innerItem.areas;
        areas.forEach(function (threeItem) {
          var city = threeItem.city;
          var innerObj = {};
          innerObj.value = city;
          innerObj.label = city;
          obj.children.push(innerObj);
        });
      });
    } else {
      citys.forEach(function (innerItem) {
        var city = innerItem.city,
          areas = innerItem.areas;
        var innerObj = {};
        innerObj.value = city;
        innerObj.label = city;
        innerObj.children = [];
        areas.forEach(function (threeItem) {
          var area = threeItem.area;
          var threeObj = {};
          threeObj.value = area;
          threeObj.label = area;
          innerObj.children.push(threeObj);
        });
        obj.children.push(innerObj);
      });
    }
    newProvincesData.push(obj);
  });
  return newProvincesData;
};
export default provincesData2Options;