import React from 'react';
import 'dayjs/locale/zh-cn';
import './styles.less';
interface IProps {
    /**
     * 创建的 form 控制实例
     * @default
     */
    form?: any;
    /**
     * 表单设置
     */
    formJson: any;
    /**
     * 数据枚举值组合
     */
    dataSourceEnum?: any;
    /**
     * 表单值
     */
    formData?: any;
    /**
     * 只读
     */
    readOnly?: boolean;
    /**
     * 文件服务根路径
     */
    fileBaseUrl?: string;
    /**
     *自定义的组件内容
     */
    extraContent?: Record<string, React.ReactNode>;
    /**
     * 上传方法
     */
    onUpload?: (item: any, options?: any) => void;
    /**
     *
     */
    onValuesChange?: (changedValues: any, allValues: any) => void;
}
declare const _default: React.ForwardRefExoticComponent<IProps & React.RefAttributes<any>>;
export default _default;
