import React from 'react';
interface IProps {
    /**
     * 值
     */
    value?: string;
    /**
     *提示
     */
    placeholder?: string;
    /**
     * 变化事件
     */
    onChange?: (value: string) => void;
    /**
     * 回车事件
     */
    onPressEnter?: (value: string) => void;
    /**
     * 默认聚焦
     */
    onFocus?: (e: any) => void;
    /**
     * 数据清理事件
     */
    onClear?: () => void;
    /**
     * 自动清理
     */
    allowClear?: boolean;
    /**
     * 最大字符数
     */
    maxLength?: number;
    /**
     * 尺寸
     * @default middle
     */
    size?: 'large' | 'middle' | 'small';
    /**
     * 聚焦选择位置
     */
    focus?: 'start' | 'end' | 'all';
    /**
     * 样式
     */
    style?: React.CSSProperties;
    /**
     * 禁用
     */
    disabled?: boolean;
}
export default function Index(props: IProps): React.JSX.Element;
export {};
