import _Input from "antd/es/input";
import _slicedToArray from "@babel/runtime/helpers/esm/slicedToArray";
import React, { useState, useEffect, useRef } from 'react';
export default function Index(props) {
  var _useState = useState(''),
    _useState2 = _slicedToArray(_useState, 2),
    value = _useState2[0],
    setValue = _useState2[1];
  var inputRef = useRef(null);
  useEffect(function () {
    if (props.value !== value) {
      setValue(props.value || '');
    }
    if (props.focus) {
      setTimeout(function () {
        inputRef.current.focus({
          cursor: props.focus
        });
      }, 100);
    }
  }, [props.value]);
  return /*#__PURE__*/React.createElement(_Input, {
    allowClear: props.allowClear,
    ref: inputRef,
    disabled: props.disabled,
    placeholder: props.placeholder,
    style: props.style || {
      width: '100%'
    },
    value: value,
    onChange: function onChange(e) {
      setValue(e.target.value);
    },
    size: props.size || 'middle',
    onBlur: function onBlur(e) {
      var _props$onChange;
      return (_props$onChange = props.onChange) === null || _props$onChange === void 0 ? void 0 : _props$onChange.call(props, e.target.value);
    },
    onPressEnter: function onPressEnter(e) {
      var _props$onPressEnter;
      (_props$onPressEnter = props.onPressEnter) === null || _props$onPressEnter === void 0 || _props$onPressEnter.call(props, e.target.value);
    },
    maxLength: props.maxLength,
    onFocus: props.onFocus,
    onClear: props.onClear
  });
}