import './styles.less';
import { ArgsProps } from 'antd/es/notification/interface';
import { ReactNode } from 'react';
import React from 'react';
type MsgOptions = Omit<ArgsProps, 'message'> & {
    message?: React.ReactNode;
};
declare const msg: {
    info: (content: React.ReactNode, config?: MsgOptions) => any;
    success: (content: React.ReactNode, config?: MsgOptions) => any;
    error: (content: React.ReactNode, config?: MsgOptions) => any;
    warn: (content: React.ReactNode, config?: MsgOptions) => any;
    warning: (content: React.ReactNode, config?: MsgOptions) => any;
    loading: (content?: string, key?: string, config?: MsgOptions) => import("antd/es/message/interface").MessageType;
    confirm: (content: ReactNode, config?: {
        title?: ReactNode;
        type?: 'info' | 'warn' | 'success' | 'error';
        width?: number;
        height?: number;
    }) => Promise<unknown>;
};
export default msg;
