import _typeof from "@babel/runtime/helpers/esm/typeof";
import _Tooltip from "antd/es/tooltip";
import _InputNumber from "antd/es/input-number";
import _Select from "antd/es/select";
import _Tag from "antd/es/tag";
import _slicedToArray from "@babel/runtime/helpers/esm/slicedToArray";
/*
 * @Author: chenzenghua
 * @Date: 2023-01-15 15:56:00
 * @LastEditTime: 2023-12-15 14:42:23
 * @LastEditors: chenzenghua
 * @Description:
 */
import { useDebounceFn } from 'ahooks';
import { cloneDeep, eq, isEmpty } from 'lodash';
import React, { useEffect, useState } from 'react';
import XSelector from "../../../XSelector";
export default function Index(props) {
  var _props$value3, _resultTypeList$, _props$value4, _props$value5, _props$value6, _props$value7, _props$value8, _props$value9, _props$value10, _props$value11, _props$value12;
  var _ref = props.value,
    CLASS_NAME = _ref.CLASS_NAME,
    CLASS_TYPE_TAG = _ref.CLASS_TYPE_TAG,
    CLASS_TYPE_ID = _ref.CLASS_TYPE_ID,
    CLASS_ID = _ref.CLASS_ID,
    resultType_type = _ref.resultType_type;
  var propsValue = props.value;
  var _useState = useState(),
    _useState2 = _slicedToArray(_useState, 2),
    resultTypeList = _useState2[0],
    setresultTypeList = _useState2[1];
  var _useState3 = useState(),
    _useState4 = _slicedToArray(_useState3, 2),
    childValueListdef = _useState4[0],
    setchildValueListdef = _useState4[1];
  useEffect(function () {
    var _props$getResultTypeL, _props$value;
    var list = (_props$getResultTypeL = props.getResultTypeList) === null || _props$getResultTypeL === void 0 ? void 0 : _props$getResultTypeL.call(props, CLASS_ID);
    setresultTypeList(list);
    //根据结果类型获取关联选择数据
    //@ts-ignore
    if ((_props$value = props.value) !== null && _props$value !== void 0 && _props$value.resultType) {
      //@ts-ignore
      var x = list === null || list === void 0 ? void 0 : list.find(function (p) {
        var _props$value2;
        return p.key === ((_props$value2 = props.value) === null || _props$value2 === void 0 ? void 0 : _props$value2.resultType);
      });
      if (x) {
        if (x !== null && x !== void 0 && x.resultType && (x === null || x === void 0 ? void 0 : x.resultType) === 'both') {
          var _props$getValueList;
          var df = (_props$getValueList = props.getValueList) === null || _props$getValueList === void 0 ? void 0 : _props$getValueList.call(props, CLASS_ID, x.key);
          setchildValueListdef(df);
        } else {
          setchildValueListdef(undefined);
        }
      }
    }
  }, [CLASS_TYPE_ID]);
  var onChangeResultType = function onChangeResultType(e) {
    var _df$data, _props$getValueList2, _props$onChangeResult;
    var df = props.getPredicateTypeDef(CLASS_TYPE_ID);
    var typeDef = (_df$data = df.data) === null || _df$data === void 0 ? void 0 : _df$data.find(function (p) {
      return p.CLASS_ID === CLASS_ID;
    });
    var x = resultTypeList === null || resultTypeList === void 0 ? void 0 : resultTypeList.find(function (p) {
      return p.key === e;
    });
    var valuedef = (_props$getValueList2 = props.getValueList) === null || _props$getValueList2 === void 0 ? void 0 : _props$getValueList2.call(props, CLASS_ID, x === null || x === void 0 ? void 0 : x.key);
    //@ts-ignore
    x['INPUT_TYPE'] = valuedef !== null && valuedef !== void 0 && valuedef.INPUT_TYPE ? valuedef.INPUT_TYPE : typeDef.INPUT_TYPE;
    (_props$onChangeResult = props.onChangeResultType) === null || _props$onChangeResult === void 0 || _props$onChangeResult.call(props, x);
  };

  //时间间隔，回溯天数修改
  var onChangeData = useDebounceFn(function (e, type) {
    var _props$onChangeData;
    var list = cloneDeep(props.value);
    list[type] = e;
    props === null || props === void 0 || (_props$onChangeData = props.onChangeData) === null || _props$onChangeData === void 0 || _props$onChangeData.call(props, list);
  }, {
    wait: 500
  }).run;
  return /*#__PURE__*/React.createElement(React.Fragment, null, CLASS_TYPE_TAG && (typeof CLASS_TYPE_TAG === 'string' ? /*#__PURE__*/React.createElement(_Tag, {
    style: {
      borderRadius: '50%'
    },
    color: "magenta"
  }, CLASS_TYPE_TAG) : CLASS_TYPE_TAG === null || CLASS_TYPE_TAG === void 0 ? void 0 : CLASS_TYPE_TAG.map(function (tag) {
    if (!isEmpty(tag)) {
      return /*#__PURE__*/React.createElement(_Tag, {
        style: tag.style ? tag.style : {},
        color: tag.color || 'magenta'
      }, (tag === null || tag === void 0 ? void 0 : tag.name) || tag);
    } else {
      return /*#__PURE__*/React.createElement(React.Fragment, null);
    }
  })), /*#__PURE__*/React.createElement(_Tag, {
    color: "#2db7f5"
  }, CLASS_NAME),
  //@ts-ignore
  ((_props$value3 = props.value) === null || _props$value3 === void 0 ? void 0 : _props$value3.resultType) && /*#__PURE__*/React.createElement(React.Fragment, null, isEmpty(resultTypeList) ? /*#__PURE__*/React.createElement(_Select, {
    style: {
      width: '150px'
    },
    options: [],
    defaultValue: propsValue === null || propsValue === void 0 ? void 0 : propsValue.resultTypeLabel,
    popupMatchSelectWidth: true
  }) : /*#__PURE__*/React.createElement(_Select, {
    style: {
      width: '150px'
    },
    options: resultTypeList,
    showSearch: true,
    filterOption: function filterOption(input, option) {
      var _option$name;
      return ((_option$name = option === null || option === void 0 ? void 0 : option.name) !== null && _option$name !== void 0 ? _option$name : '').toLowerCase().includes(input.toLowerCase());
    },
    popupMatchSelectWidth: (resultTypeList === null || resultTypeList === void 0 || (_resultTypeList$ = resultTypeList[0]) === null || _resultTypeList$ === void 0 ? void 0 : _resultTypeList$.dropSelectWidth) || true,
    value: propsValue === null || propsValue === void 0 ? void 0 : propsValue.resultType,
    fieldNames: {
      value: 'key',
      label: 'name'
    },
    onChange: onChangeResultType
  })),
  //@ts-ignore
  !(((_props$value4 = props.value) === null || _props$value4 === void 0 ? void 0 : _props$value4.reviewDay) === undefined || ((_props$value5 = props.value) === null || _props$value5 === void 0 ? void 0 : _props$value5.reviewDay) === '') && /*#__PURE__*/React.createElement(_Tooltip, {
    title: "\u56DE\u6EAF\u5929\u6570"
  }, /*#__PURE__*/React.createElement(_InputNumber, {
    style: {
      width: '130px'
    }
    //@ts-ignore
    ,
    defaultValue: (_props$value6 = props.value) === null || _props$value6 === void 0 ? void 0 : _props$value6.reviewDay,
    min: 0,
    onBlur: function onBlur(e) {
      var _props$onChangeData2;
      // onChangeData(e.target.value || '0', 'reviewDay')
      var list = cloneDeep(props.value);
      list['reviewDay'] = e.target.value || 0;
      props === null || props === void 0 || (_props$onChangeData2 = props.onChangeData) === null || _props$onChangeData2 === void 0 || _props$onChangeData2.call(props, list);
    },
    addonAfter: "\u5929\u5185"
  })),
  //@ts-ignore
  !(((_props$value7 = props.value) === null || _props$value7 === void 0 ? void 0 : _props$value7.dateRange) === undefined || ((_props$value8 = props.value) === null || _props$value8 === void 0 ? void 0 : _props$value8.dateRange) === '') && /*#__PURE__*/React.createElement(_Tooltip, {
    title: "\u65F6\u95F4\u95F4\u9694"
  }, /*#__PURE__*/React.createElement(_InputNumber, {
    style: {
      minWidth: '50px'
    },
    min: 0
    //@ts-ignore
    ,
    defaultValue: (_props$value9 = props.value) === null || _props$value9 === void 0 ? void 0 : _props$value9.dateRange,
    onBlur: function onBlur(e) {
      var _props$onChangeData3;
      // onChangeData(e.target.value || '0', 'dateRange')
      var list = cloneDeep(props.value);
      list['dateRange'] = e.target.value || 0;
      props === null || props === void 0 || (_props$onChangeData3 = props.onChangeData) === null || _props$onChangeData3 === void 0 || _props$onChangeData3.call(props, list);
    }
  })),
  //@ts-ignore
  ((_props$value10 = props.value) === null || _props$value10 === void 0 ? void 0 : _props$value10.judgeResult) && (resultType_type === 'both' || childValueListdef) && /*#__PURE__*/React.createElement(XSelector, {
    style: {
      minWidth: '140px'
    }
    //@ts-ignore
    ,
    defaultValue: _typeof((_props$value11 = props.value) === null || _props$value11 === void 0 ? void 0 : _props$value11.judgeResult) === 'object' ? (_props$value12 = props.value) === null || _props$value12 === void 0 ? void 0 : _props$value12.judgeResult : [],
    onSelectChange: function onSelectChange(e) {
      var _props$value13;
      //@ts-ignore
      var isEqual = eq(e, (_props$value13 = props.value) === null || _props$value13 === void 0 ? void 0 : _props$value13.judgeResult);
      if (!isEqual) {
        var _props$onChangeJudgeR;
        (_props$onChangeJudgeR = props.onChangeJudgeResult) === null || _props$onChangeJudgeR === void 0 || _props$onChangeJudgeR.call(props, e);
      }
    },
    maxTagCount: 10,
    mode: 'multiple',
    valueRow: "VALUE_ID",
    nameRow: "VALUE_NAME",
    colDef: (childValueListdef === null || childValueListdef === void 0 ? void 0 : childValueListdef.colDef) || [],
    data: childValueListdef === null || childValueListdef === void 0 ? void 0 : childValueListdef.data,
    showSearch: true,
    popupMatchSelectWidth: (childValueListdef === null || childValueListdef === void 0 ? void 0 : childValueListdef.dropSelectWidth) || true
  }));
}