import _regeneratorRuntime from "@babel/runtime/helpers/esm/regeneratorRuntime";
import _asyncToGenerator from "@babel/runtime/helpers/esm/asyncToGenerator";
//判断环境

import axios from 'axios';

//@ts-ignore
var cefJs = window.cefJs; //true为壳子 false 为浏览器
/**
 * 条码、回执单打印
 * @param DataXml
 * @param PrintXml
 * @returns
 */
function BarcodePrint(_x, _x2) {
  return _BarcodePrint.apply(this, arguments);
}
/**
 * 条码、回执单打印
 * @param DataXml
 * @returns
 */
function _BarcodePrint() {
  _BarcodePrint = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee(DataXml, PrintXml) {
    var action, res, _res;
    return _regeneratorRuntime().wrap(function _callee$(_context) {
      while (1) switch (_context.prev = _context.next) {
        case 0:
          action = 'barcodePrint';
          if (!cefJs) {
            _context.next = 6;
            break;
          }
          res = cefJs.barcodePrint(DataXml, PrintXml);
          return _context.abrupt("return", JSON.parse(res));
        case 6:
          _context.next = 8;
          return axios.get("http://127.0.0.1:19914/cefJs?action=".concat(action, "&dataXml=").concat(encodeURIComponent(DataXml), "&printXml=").concat(encodeURIComponent(PrintXml))).then(function (res) {
            return JSON.parse(res.data);
          }).catch(function (e) {
            return {
              success: false,
              message: e.message
            };
          });
        case 8:
          _res = _context.sent;
          return _context.abrupt("return", _res);
        case 10:
        case "end":
          return _context.stop();
      }
    }, _callee);
  }));
  return _BarcodePrint.apply(this, arguments);
}
function BarcodePrint6(_x3) {
  return _BarcodePrint2.apply(this, arguments);
}
/**
 * 取号单打印
 * @param PrintXml
 * @returns
 */
function _BarcodePrint2() {
  _BarcodePrint2 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee2(DataXml) {
    var action, res, _res2;
    return _regeneratorRuntime().wrap(function _callee2$(_context2) {
      while (1) switch (_context2.prev = _context2.next) {
        case 0:
          action = 'barcodePrint6';
          if (!cefJs) {
            _context2.next = 6;
            break;
          }
          res = cefJs.barcodePrint6(DataXml);
          return _context2.abrupt("return", JSON.parse(res));
        case 6:
          _context2.next = 8;
          return axios.get("http://127.0.0.1:19914/cefJs?action=".concat(action, "&dataXml=").concat(encodeURIComponent(DataXml))).then(function (res) {
            return JSON.parse(res.data);
          }).catch(function (e) {
            return {
              success: false,
              message: e.message
            };
          });
        case 8:
          _res2 = _context2.sent;
          return _context2.abrupt("return", _res2);
        case 10:
        case "end":
          return _context2.stop();
      }
    }, _callee2);
  }));
  return _BarcodePrint2.apply(this, arguments);
}
function BarcodeNumberPrint(_x4) {
  return _BarcodeNumberPrint.apply(this, arguments);
}
/**
 * 单张PDF报告打印/生成
 * @param DataXml
 * @returns
 */
function _BarcodeNumberPrint() {
  _BarcodeNumberPrint = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee3(PrintXml) {
    var action, res, _res3;
    return _regeneratorRuntime().wrap(function _callee3$(_context3) {
      while (1) switch (_context3.prev = _context3.next) {
        case 0:
          action = 'barcodeNumberPrint';
          if (!cefJs) {
            _context3.next = 6;
            break;
          }
          res = cefJs.barcodeNumberPrint(PrintXml);
          return _context3.abrupt("return", JSON.parse(res));
        case 6:
          _context3.next = 8;
          return axios.get("http://127.0.0.1:19914/cefJs?action=".concat(action, "&PrintXml=").concat(encodeURIComponent(PrintXml))).then(function (res) {
            return JSON.parse(res.data);
          }).catch(function (e) {
            return {
              success: false,
              message: e.message
            };
          });
        case 8:
          _res3 = _context3.sent;
          return _context3.abrupt("return", _res3);
        case 10:
        case "end":
          return _context3.stop();
      }
    }, _callee3);
  }));
  return _BarcodeNumberPrint.apply(this, arguments);
}
function ExportPdfReport(_x5) {
  return _ExportPdfReport.apply(this, arguments);
}
/**
 * 汇总PDF报告打印/生成
 * @param sumType
 * @param DataXml
 * @returns
 */
function _ExportPdfReport() {
  _ExportPdfReport = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee4(DataXml) {
    var action, res, _res4;
    return _regeneratorRuntime().wrap(function _callee4$(_context4) {
      while (1) switch (_context4.prev = _context4.next) {
        case 0:
          action = 'exportPdfReport';
          if (!cefJs) {
            _context4.next = 6;
            break;
          }
          res = cefJs.exportPdfReport(DataXml);
          return _context4.abrupt("return", JSON.parse(res));
        case 6:
          _context4.next = 8;
          return axios.get("http://127.0.0.1:19914/cefJs?action=".concat(action, "&PrintXml=").concat(encodeURIComponent(DataXml))).then(function (res) {
            return JSON.parse(res.data);
          }).catch(function (e) {
            return {
              success: false,
              message: e.message
            };
          });
        case 8:
          _res4 = _context4.sent;
          return _context4.abrupt("return", _res4);
        case 10:
        case "end":
          return _context4.stop();
      }
    }, _callee4);
  }));
  return _ExportPdfReport.apply(this, arguments);
}
function ExportSumPdfReport(_x6, _x7) {
  return _ExportSumPdfReport.apply(this, arguments);
}
/**
 * PDF单据打印
 * @param DataXml
 * @returns
 */
function _ExportSumPdfReport() {
  _ExportSumPdfReport = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee5(sumType, DataXml) {
    var action, res, _res5;
    return _regeneratorRuntime().wrap(function _callee5$(_context5) {
      while (1) switch (_context5.prev = _context5.next) {
        case 0:
          action = 'exportSumPdfReport';
          if (!cefJs) {
            _context5.next = 6;
            break;
          }
          res = cefJs.exportSumPdfReport(sumType, DataXml);
          return _context5.abrupt("return", JSON.parse(res));
        case 6:
          _context5.next = 8;
          return axios.get("http://127.0.0.1:19914/cefJs?action=".concat(action, "&sumType=").concat(encodeURIComponent(sumType), "&DataXml=").concat(DataXml)).then(function (res) {
            return JSON.parse(res.data);
          }).catch(function (e) {
            return {
              success: false,
              message: e.message
            };
          });
        case 8:
          _res5 = _context5.sent;
          return _context5.abrupt("return", _res5);
        case 10:
        case "end":
          return _context5.stop();
      }
    }, _callee5);
  }));
  return _ExportSumPdfReport.apply(this, arguments);
}
function PrintPdfReport(_x8) {
  return _PrintPdfReport.apply(this, arguments);
}
/**
 * 其他PDF单据打印/生成
 * @param DataXml
 * @returns
 */
function _PrintPdfReport() {
  _PrintPdfReport = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee6(DataXml) {
    var action, res, _res6;
    return _regeneratorRuntime().wrap(function _callee6$(_context6) {
      while (1) switch (_context6.prev = _context6.next) {
        case 0:
          action = 'printPdfReport';
          if (!cefJs) {
            _context6.next = 6;
            break;
          }
          res = cefJs.printPdfReport(DataXml);
          return _context6.abrupt("return", JSON.parse(res));
        case 6:
          _context6.next = 8;
          return axios.get("http://127.0.0.1:19914/cefJs?action=".concat(action, "&DataXml=").concat(DataXml)).then(function (res) {
            return JSON.parse(res.data);
          }).catch(function (e) {
            return {
              success: false,
              message: e.message
            };
          });
        case 8:
          _res6 = _context6.sent;
          return _context6.abrupt("return", _res6);
        case 10:
        case "end":
          return _context6.stop();
      }
    }, _callee6);
  }));
  return _PrintPdfReport.apply(this, arguments);
}
function ExportPdfOtherSheet(_x9) {
  return _ExportPdfOtherSheet.apply(this, arguments);
}
/**
 * 6.0单据打印/生成
 * @param DataXml
 * @returns
 */
function _ExportPdfOtherSheet() {
  _ExportPdfOtherSheet = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee7(DataXml) {
    var action, res, _res7;
    return _regeneratorRuntime().wrap(function _callee7$(_context7) {
      while (1) switch (_context7.prev = _context7.next) {
        case 0:
          action = 'exportPdfOtherSheet';
          if (!cefJs) {
            _context7.next = 6;
            break;
          }
          res = cefJs.exportPdfOtherSheet(DataXml);
          return _context7.abrupt("return", JSON.parse(res));
        case 6:
          _context7.next = 8;
          return axios.get("http://127.0.0.1:19914/cefJs?action=".concat(action, "&DataXml=").concat(DataXml)).then(function (res) {
            return JSON.parse(res.data);
          }).catch(function (e) {
            return {
              success: false,
              message: e.message
            };
          });
        case 8:
          _res7 = _context7.sent;
          return _context7.abrupt("return", _res7);
        case 10:
        case "end":
          return _context7.stop();
      }
    }, _callee7);
  }));
  return _ExportPdfOtherSheet.apply(this, arguments);
}
function ExportPdfSheet6(_x10) {
  return _ExportPdfSheet.apply(this, arguments);
}
/**
 * 环境卫生学条码打印
 * @param DataXml
 * @param PrintXml
 * @returns
 */
function _ExportPdfSheet() {
  _ExportPdfSheet = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee8(DataXml) {
    var action, res, _res8;
    return _regeneratorRuntime().wrap(function _callee8$(_context8) {
      while (1) switch (_context8.prev = _context8.next) {
        case 0:
          action = 'exportPdfSheet6';
          if (!cefJs) {
            _context8.next = 6;
            break;
          }
          res = cefJs.exportPdfSheet6(DataXml);
          return _context8.abrupt("return", JSON.parse(res));
        case 6:
          _context8.next = 8;
          return axios.get("http://127.0.0.1:19914/cefJs?action=".concat(action, "&DataXml=").concat(DataXml)).then(function (res) {
            return JSON.parse(res.data);
          }).catch(function (e) {
            return {
              success: false,
              message: e.message
            };
          });
        case 8:
          _res8 = _context8.sent;
          return _context8.abrupt("return", _res8);
        case 10:
        case "end":
          return _context8.stop();
      }
    }, _callee8);
  }));
  return _ExportPdfSheet.apply(this, arguments);
}
function EHMBarcodePrint(_x11, _x12) {
  return _EHMBarcodePrint.apply(this, arguments);
}
/**
 * 单张PDF报告打印/生成
 * @param DataXml
 * @returns
 */
function _EHMBarcodePrint() {
  _EHMBarcodePrint = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee9(DataXml, PrintXml) {
    var action, res, _res9;
    return _regeneratorRuntime().wrap(function _callee9$(_context9) {
      while (1) switch (_context9.prev = _context9.next) {
        case 0:
          action = 'eHMBarcodePrint';
          if (!cefJs) {
            _context9.next = 6;
            break;
          }
          res = cefJs.eHMBarcodePrint(DataXml);
          return _context9.abrupt("return", JSON.parse(res));
        case 6:
          _context9.next = 8;
          return axios.get("http://127.0.0.1:19914/cefJs?action=".concat(action, "&DataXml=").concat(DataXml, "&PrintXml=").concat(PrintXml)).then(function (res) {
            return JSON.parse(res.data);
          }).catch(function (e) {
            return {
              success: false,
              message: e.message
            };
          });
        case 8:
          _res9 = _context9.sent;
          return _context9.abrupt("return", _res9);
        case 10:
        case "end":
          return _context9.stop();
      }
    }, _callee9);
  }));
  return _EHMBarcodePrint.apply(this, arguments);
}
function EHMExportPdfReport(_x13) {
  return _EHMExportPdfReport.apply(this, arguments);
}
function _EHMExportPdfReport() {
  _EHMExportPdfReport = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee10(DataXml) {
    var action, res, _res10;
    return _regeneratorRuntime().wrap(function _callee10$(_context10) {
      while (1) switch (_context10.prev = _context10.next) {
        case 0:
          action = 'eHMExportPdfReport';
          if (!cefJs) {
            _context10.next = 6;
            break;
          }
          res = cefJs.eHMExportPdfReport(DataXml);
          return _context10.abrupt("return", JSON.parse(res));
        case 6:
          _context10.next = 8;
          return axios.get("http://127.0.0.1:19914/cefJs?action=".concat(action, "&DataXml=").concat(DataXml)).then(function (res) {
            return JSON.parse(res.data);
          }).catch(function (e) {
            return {
              success: false,
              message: e.message
            };
          });
        case 8:
          _res10 = _context10.sent;
          return _context10.abrupt("return", _res10);
        case 10:
        case "end":
          return _context10.stop();
      }
    }, _callee10);
  }));
  return _EHMExportPdfReport.apply(this, arguments);
}
var XPrint = {
  BarcodePrint: BarcodePrint,
  BarcodePrint6: BarcodePrint6,
  BarcodeNumberPrint: BarcodeNumberPrint,
  ExportPdfReport: ExportPdfReport,
  ExportSumPdfReport: ExportSumPdfReport,
  PrintPdfReport: PrintPdfReport,
  EHMExportPdfReport: EHMExportPdfReport,
  EHMBarcodePrint: EHMBarcodePrint,
  ExportPdfSheet6: ExportPdfSheet6,
  ExportPdfOtherSheet: ExportPdfOtherSheet
};
export default XPrint;