import dayjs from 'dayjs';
import LoadingComponts from "./LoadingComponts";
import CustomPinnedRow from "./CustomPinnedRow";
var formatDateByFormatter = function formatDateByFormatter(params) {
  var _params$formatter = params.formatter,
    formatter = _params$formatter === void 0 ? 'YYYY-MM-DD HH:mm' : _params$formatter;
  return dayjs(params.value).format(formatter);
};
var formatDateYYYYMMDD = function formatDateYYYYMMDD(params) {
  return dayjs(params.value).format('YYYY-MM-DD');
};
var formatDateYYYYMMDDHHmm = function formatDateYYYYMMDDHHmm(params) {
  return dayjs(params.value).format('YYYY-MM-DD HH:mm');
};
export { formatDateYYYYMMDD, formatDateYYYYMMDDHHmm, formatDateByFormatter, LoadingComponts, CustomPinnedRow };