import _Input from "antd/es/input";
import _Button from "antd/es/button";
import _regeneratorRuntime from "@babel/runtime/helpers/esm/regeneratorRuntime";
import _asyncToGenerator from "@babel/runtime/helpers/esm/asyncToGenerator";
import _slicedToArray from "@babel/runtime/helpers/esm/slicedToArray";
import { SwapOutlined } from '@ant-design/icons';
import React, { useEffect, useRef, useState } from 'react';
import "./styles.less";
import { UnlockIcon, UserIcon } from "../XIcons";
var LockScreen = function LockScreen(props) {
  var refUnLockInput = useRef(null);
  var refBlurListen = useRef(null);
  var titleOption = props.titleOption,
    contentOption = props.contentOption;
  var _useState = useState(),
    _useState2 = _slicedToArray(_useState, 2),
    error = _useState2[0],
    seterror = _useState2[1];
  var _useState3 = useState(),
    _useState4 = _slicedToArray(_useState3, 2),
    pwd = _useState4[0],
    setpwd = _useState4[1];
  var onUnlock = /*#__PURE__*/function () {
    var _ref = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee() {
      var _props$onUnlock;
      var errorMsg, _refUnLockInput$curre, _refUnLockInput$curre2;
      return _regeneratorRuntime().wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            if (pwd) {
              _context.next = 3;
              break;
            }
            seterror('请输入密码');
            return _context.abrupt("return");
          case 3:
            _context.next = 5;
            return (_props$onUnlock = props.onUnlock) === null || _props$onUnlock === void 0 ? void 0 : _props$onUnlock.call(props, pwd);
          case 5:
            errorMsg = _context.sent;
            if (errorMsg) {
              refUnLockInput === null || refUnLockInput === void 0 || (_refUnLockInput$curre = refUnLockInput.current) === null || _refUnLockInput$curre === void 0 || _refUnLockInput$curre.focus();
              refUnLockInput === null || refUnLockInput === void 0 || (_refUnLockInput$curre2 = refUnLockInput.current) === null || _refUnLockInput$curre2 === void 0 || _refUnLockInput$curre2.select();
              seterror(errorMsg);
            }
          case 7:
          case "end":
            return _context.stop();
        }
      }, _callee);
    }));
    return function onUnlock() {
      return _ref.apply(this, arguments);
    };
  }();
  useEffect(function () {
    setpwd(undefined);
    seterror(undefined);
  }, [props.open]);
  useEffect(function () {
    clearInterval(refBlurListen.current);
    if (props.open) {
      refBlurListen.current = setInterval(function () {
        if (refUnLockInput.current) {
          refUnLockInput.current.focus();
        }
      }, 1000);
    }
    return function () {
      clearInterval(refBlurListen.current);
    };
  }, [props.open]);
  return /*#__PURE__*/React.createElement(React.Fragment, null, props.open && /*#__PURE__*/React.createElement("div", {
    className: "xinherc-lockscreen"
  }, /*#__PURE__*/React.createElement("div", {
    className: "lock-panel",
    style: {
      paddingTop: props.hiddenTips === true ? '40px' : '15px'
    }
  }, /*#__PURE__*/React.createElement(_Button, {
    onClick: props.onSwitchUser,
    title: "\u5207\u6362\u8D26\u53F7",
    className: "btn-switch-icon",
    type: "link",
    icon: /*#__PURE__*/React.createElement(SwapOutlined, null)
  }), props.hiddenTips !== true && /*#__PURE__*/React.createElement("div", {
    className: "tip"
  }, /*#__PURE__*/React.createElement("p", {
    style: (titleOption === null || titleOption === void 0 ? void 0 : titleOption.fontStyle) || {
      fontWeight: 'bold',
      fontSize: '16px'
    }
  }, /*#__PURE__*/React.createElement("span", {
    style: (titleOption === null || titleOption === void 0 ? void 0 : titleOption.fontStyle) || {}
  }, (titleOption === null || titleOption === void 0 ? void 0 : titleOption.content) || '温馨提示：')), /*#__PURE__*/React.createElement("p", {
    style: (contentOption === null || contentOption === void 0 ? void 0 : contentOption.fontStyle) || {
      fontSize: '14px'
    }
  }, props.tips || (contentOption === null || contentOption === void 0 ? void 0 : contentOption.content) || '不得擅自离岗，一经发现，严肃处理！')), /*#__PURE__*/React.createElement("div", {
    className: "curruser"
  }, /*#__PURE__*/React.createElement("div", {
    className: "user-icon"
  }, /*#__PURE__*/React.createElement(UserIcon, {
    style: {
      fontSize: '20px'
    }
  })), /*#__PURE__*/React.createElement("span", {
    className: "username"
  }, props.userName), /*#__PURE__*/React.createElement("span", {
    className: "switch"
  }, /*#__PURE__*/React.createElement(_Button, {
    onClick: props.onSwitchUser,
    type: "link"
  }, "\u5207\u6362\u8D26\u53F7"))), /*#__PURE__*/React.createElement("div", {
    className: "pwd"
  }, /*#__PURE__*/React.createElement(_Input.Password, {
    autoComplete: "off",
    ref: refUnLockInput,
    value: pwd,
    autoFocus: true,
    style: {
      height: '100%',
      width: '100%'
    },
    placeholder: "\u8F93\u5165\u767B\u5F55\u5BC6\u7801\u89E3\u9501",
    onChange: function onChange(e) {
      setpwd(e.target.value);
      seterror(undefined);
    },
    onKeyDown: ( /*#__PURE__*/function () {
      var _ref2 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee2(e) {
        return _regeneratorRuntime().wrap(function _callee2$(_context2) {
          while (1) switch (_context2.prev = _context2.next) {
            case 0:
              if (e.keyCode === 13) {
                onUnlock();
              }
            case 1:
            case "end":
              return _context2.stop();
          }
        }, _callee2);
      }));
      return function (_x) {
        return _ref2.apply(this, arguments);
      };
    }())
  })), error && /*#__PURE__*/React.createElement("div", {
    className: "errormsg"
  }, error), /*#__PURE__*/React.createElement(_Button, {
    onClick: onUnlock,
    type: "primary",
    size: "large",
    className: "btn-login",
    icon: /*#__PURE__*/React.createElement(UnlockIcon, {
      style: {
        fontSize: '16px'
      }
    })
  }, "\u89E3\u9501"))));
};
export default LockScreen;