import _Button from "antd/es/button";
import _typeof from "@babel/runtime/helpers/esm/typeof";
import _TreeSelect from "antd/es/tree-select";
import _AutoComplete from "antd/es/auto-complete";
import _Row from "antd/es/row";
import _Tooltip from "antd/es/tooltip";
import _InputNumber from "antd/es/input-number";
import _Col from "antd/es/col";
import _Select from "antd/es/select";
import _Divider from "antd/es/divider";
import _Input from "antd/es/input";
import _Tabs from "antd/es/tabs";
import _toConsumableArray from "@babel/runtime/helpers/esm/toConsumableArray";
import _objectSpread from "@babel/runtime/helpers/esm/objectSpread2";
import _regeneratorRuntime from "@babel/runtime/helpers/esm/regeneratorRuntime";
import _asyncToGenerator from "@babel/runtime/helpers/esm/asyncToGenerator";
import _slicedToArray from "@babel/runtime/helpers/esm/slicedToArray";
/*
 * @Author: chenzenghua
 * @Date: 2023-01-18 15:21:46
 * @LastEditTime: 2024-05-09 16:52:27
 * @LastEditors: chenzenghua
 * @Description:
 */
import { PlusOutlined, RedoOutlined, SaveOutlined } from '@ant-design/icons';
import { useUpdateEffect } from 'ahooks';
import { cloneDeep, has, keyBy, map, omit, values } from 'lodash';
import dayjs from 'dayjs';
import React, { useEffect, useRef, useState } from 'react';
import Msg from "../../XMessageBox";
import XDataGrid from "../../XDataGrid";
import XDatePicker from "../../XDatePicker";
import XSelector from "../../XSelector";
import "./styles.less";
export default function Index(props) {
  var _fieldList$current7, _resultItem$resultTyp2, _resultItem$resultTyp3, _resultItem$resultTyp4, _valueListDef$, _valueListDef$2, _valueList$current7, _resultItem$resultTyp5, _resultItem$resultTyp6;
  //当前选中的tab和tab数据
  var _useState = useState(),
    _useState2 = _slicedToArray(_useState, 2),
    tabList = _useState2[0],
    setTabList = _useState2[1];
  var _useState3 = useState(),
    _useState4 = _slicedToArray(_useState3, 2),
    activeTab = _useState4[0],
    setActiveTab = _useState4[1];
  //逻辑运算符和数据
  var _useState5 = useState([{
      name: '=',
      label: '等于'
    }, {
      name: '!=',
      label: '不等于'
    }]),
    _useState6 = _slicedToArray(_useState5, 2),
    operatorList = _useState6[0],
    setOperatorList = _useState6[1];

  // 条件数据列表配置
  var _useState7 = useState(),
    _useState8 = _slicedToArray(_useState7, 2),
    mainListDef = _useState8[0],
    setMainListDef = _useState8[1];
  // 选择的条件
  var _useState9 = useState(),
    _useState10 = _slicedToArray(_useState9, 2),
    mainSelRows = _useState10[0],
    setMainSelRows = _useState10[1];

  // 结果列表配置
  var _useState11 = useState(),
    _useState12 = _slicedToArray(_useState11, 2),
    valueListDef = _useState12[0],
    setValueListDef = _useState12[1];

  //最终结果值展示类型
  var _useState13 = useState(''),
    _useState14 = _slicedToArray(_useState13, 2),
    inputType = _useState14[0],
    setInputType = _useState14[1]; //条件值类型与项目和结果类型同时关联

  //结果类型数据 例:当次结果 - 等于其中的【当次结果】
  var _useState15 = useState(),
    _useState16 = _slicedToArray(_useState15, 2),
    resultTypeList = _useState16[0],
    setResultTypeList = _useState16[1];

  //true 只展示结果类型数据，不展示逻辑运算符
  var _useState17 = useState(false),
    _useState18 = _slicedToArray(_useState17, 2),
    specialResult = _useState18[0],
    setSpecialResult = _useState18[1];

  //存储的结果
  var _useState19 = useState({
      value: undefined,
      //结果值
      operation: '',
      //逻辑运算符
      resultType: null,
      //结果类型
      judgeResult: [],
      //额外的配置条件值-表格结果
      dateRange: undefined,
      //展示时间间隔-业务
      reviewDay: undefined //展示回顾天数-业务
    }),
    _useState20 = _slicedToArray(_useState19, 2),
    resultItem = _useState20[0],
    setResultItem = _useState20[1];
  var fieldList = useRef();
  var valueList = useRef();
  // 取消修改
  var onCancelEdit = function onCancelEdit() {
    setResultTypeList([]);
    setMainSelRows(undefined);
    setValueListDef(undefined);
    setInputType('');
    clearResultItem();
  };
  var clearResultItem = function clearResultItem() {
    setResultItem({
      value: undefined,
      //结果值
      operation: '',
      //逻辑运算符
      resultType: null,
      //结果类型
      judgeResult: [],
      //额外的配置条件值-表格结果
      dateRange: undefined,
      //展示时间间隔-业务
      reviewDay: undefined //展示回顾天数-业务
    });
  };
  //结束修改
  useUpdateEffect(function () {
    onCancelEdit();
  }, [props.clearEdit]);

  //tab数据展示
  useEffect(function () {
    var _props$predicateClass;
    setTabList(props.predicateClassList);
    setActiveTab((_props$predicateClass = props.predicateClassList) === null || _props$predicateClass === void 0 || (_props$predicateClass = _props$predicateClass[0]) === null || _props$predicateClass === void 0 ? void 0 : _props$predicateClass.key);
  }, [props.predicateClassList]);

  //编辑数据回显
  useEffect(function () {
    getEditItem(props.editItem);
  }, [props.editItem]);

  // 编辑数据
  var getEditItem = /*#__PURE__*/function () {
    var _ref = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee(editItem) {
      return _regeneratorRuntime().wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            if (editItem) {
              //设置选中类型
              if (activeTab !== editItem.field.CLASS_TYPE_ID) {
                setActiveTab(editItem.field.CLASS_TYPE_ID);
              }
              setMainSelRows(editItem.field);
            }
          case 1:
          case "end":
            return _context.stop();
        }
      }, _callee);
    }));
    return function getEditItem(_x) {
      return _ref.apply(this, arguments);
    };
  }();
  // 获取数据结构列表
  var getPredicateTypeDef = /*#__PURE__*/function () {
    var _ref2 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee2(type) {
      var predicateDef;
      return _regeneratorRuntime().wrap(function _callee2$(_context2) {
        while (1) switch (_context2.prev = _context2.next) {
          case 0:
            _context2.next = 2;
            return props.getPredicateTypeDef(type);
          case 2:
            predicateDef = _context2.sent;
            setMainListDef(predicateDef);
            fieldList.current = predicateDef;
          case 5:
          case "end":
            return _context2.stop();
        }
      }, _callee2);
    }));
    return function getPredicateTypeDef(_x2) {
      return _ref2.apply(this, arguments);
    };
  }();
  //tab变更获取最新的表格数据
  useEffect(function () {
    getPredicateTypeDef(activeTab);
  }, [activeTab, props.getPredicateTypeDef]);

  //修改数据
  var editResultItem = /*#__PURE__*/function () {
    var _ref3 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee3(key, value) {
      var _props$getOperatorLis, resultType, list, operator, valDef, INPUT_TYPE, _resultItem$resultTyp, _valDef, _INPUT_TYPE;
      return _regeneratorRuntime().wrap(function _callee3$(_context3) {
        while (1) switch (_context3.prev = _context3.next) {
          case 0:
            if (!(key === 'resultType')) {
              _context3.next = 18;
              break;
            }
            resultType = resultTypeList === null || resultTypeList === void 0 ? void 0 : resultTypeList.find(function (p) {
              return p.key === value;
            });
            _context3.next = 4;
            return (_props$getOperatorLis = props.getOperatorList) === null || _props$getOperatorLis === void 0 ? void 0 : _props$getOperatorLis.call(props, mainSelRows === null || mainSelRows === void 0 ? void 0 : mainSelRows.CLASS_ID, resultType === null || resultType === void 0 ? void 0 : resultType.key);
          case 4:
            list = _context3.sent;
            operator = list && (list === null || list === void 0 ? void 0 : list.length) > 0 ? list[0].name : '';
            _context3.next = 8;
            return props.getValueList(mainSelRows === null || mainSelRows === void 0 ? void 0 : mainSelRows.CLASS_ID, resultType === null || resultType === void 0 ? void 0 : resultType.key, operator);
          case 8:
            valDef = _context3.sent;
            // 结果设置的列设置和数据
            valueList.current = valDef;
            INPUT_TYPE = valDef.INPUT_TYPE || (mainSelRows === null || mainSelRows === void 0 ? void 0 : mainSelRows.INPUT_TYPE) || '';
            if (INPUT_TYPE !== inputType) {
              setInputType(INPUT_TYPE);
            }
            setSpecialResult((resultType === null || resultType === void 0 ? void 0 : resultType.ifSpecial) || false);
            setOperatorList(list || []);
            setValueListDef(valDef);
            setResultItem({
              resultType: resultType,
              //结果类型
              operation: operator,
              //逻辑运算符
              dateRange: resultType === null || resultType === void 0 ? void 0 : resultType.dateRange,
              //展示时间间隔-业务
              reviewDay: resultType === null || resultType === void 0 ? void 0 : resultType.reviewDay,
              //展示回顾天数-业务
              value: undefined,
              //结果值
              judgeResult: [] //额外的配置条件值-表格结果
            });
            _context3.next = 30;
            break;
          case 18:
            if (!(key === 'operation')) {
              _context3.next = 29;
              break;
            }
            _context3.next = 21;
            return props.getValueList(mainSelRows === null || mainSelRows === void 0 ? void 0 : mainSelRows.CLASS_ID, (_resultItem$resultTyp = resultItem.resultType) === null || _resultItem$resultTyp === void 0 ? void 0 : _resultItem$resultTyp.key, value);
          case 21:
            _valDef = _context3.sent;
            // 结果设置的列设置和数据
            valueList.current = _valDef;
            _INPUT_TYPE = _valDef.INPUT_TYPE || (mainSelRows === null || mainSelRows === void 0 ? void 0 : mainSelRows.INPUT_TYPE) || '';
            if (_INPUT_TYPE !== inputType) {
              setInputType(_INPUT_TYPE);
            }
            setValueListDef(_valDef);
            setResultItem(_objectSpread(_objectSpread({}, resultItem), {}, {
              operation: value,
              //逻辑运算符
              value: undefined,
              //结果值
              judgeResult: [] //额外的配置条件值-表格结果
            }));
            _context3.next = 30;
            break;
          case 29:
            setResultItem(function (item) {
              var newResultItem = _objectSpread({}, item);
              newResultItem[key] = value;
              return newResultItem;
            });
          case 30:
          case "end":
            return _context3.stop();
        }
      }, _callee3);
    }));
    return function editResultItem(_x3, _x4) {
      return _ref3.apply(this, arguments);
    };
  }();

  //校验规则
  var getRules = function getRules() {
    var _valueListDef$rules;
    var ruleKeyList = ['required'];
    var rule = {};
    valueListDef === null || valueListDef === void 0 || (_valueListDef$rules = valueListDef.rules) === null || _valueListDef$rules === void 0 || _valueListDef$rules.forEach(function (obj) {
      ruleKeyList.forEach(function (key) {
        if (has(obj, key)) {
          rule[key] = _objectSpread({
            value: obj[key]
          }, omit(obj, key));
        }
      });
    });
    return rule;
  };
  //插入结果
  var onInsertField = function onInsertField() {
    var _props$onInsert;
    //校验工作
    if (!mainSelRows) {
      Msg.error('请选择条件类型');
      return;
    }
    //校验规则，目前只支持 required
    var required = {
      value: true,
      message: '请选择或输入结果值'
    };
    if (valueListDef !== null && valueListDef !== void 0 && valueListDef.rules) {
      var rules = getRules();
      if (rules.required) {
        required = rules.required;
      }
    }
    var resultType = resultItem.resultType,
      value = resultItem.value,
      operation = resultItem.operation,
      judgeResult = resultItem.judgeResult,
      dateRange = resultItem.dateRange,
      reviewDay = resultItem.reviewDay;
    if (!(resultType !== null && resultType !== void 0 && resultType.ifSpecial) && (resultType === null || resultType === void 0 ? void 0 : resultType.resultType) !== 'none' && !mainSelRows.IF_CAN_EMPTY) {
      if (required.value && (!value && value !== 0 || value.length === 0)) {
        required.message && Msg.error(required.message);
        return;
      }
      if (!operation) {
        Msg.error('请选择逻辑符');
        return;
      }
    }
    var fieldData = _objectSpread({}, mainSelRows);
    if (inputType) {
      //@ts-ignore
      fieldData.INPUT_TYPE = inputType;
    }
    var item = {
      fieldDef: fieldData,
      value: value,
      operation: operation,
      resultType: resultType === null || resultType === void 0 ? void 0 : resultType.key,
      //结果类型值
      resultType_type: resultType === null || resultType === void 0 ? void 0 : resultType.resultType,
      //结果展示类型
      resultTypeLabel: resultType === null || resultType === void 0 ? void 0 : resultType.name,
      //结果类型名称
      judgeResult: judgeResult,
      //额外的配置条件值-表格结果
      dateRange: dateRange,
      //时间间隔-业务
      reviewDay: reviewDay //回顾天数-业务
    };
    (_props$onInsert = props.onInsert) === null || _props$onInsert === void 0 || _props$onInsert.call(props, item);
  };

  // 获取项目相关数据
  var getFieldDef = /*#__PURE__*/function () {
    var _ref4 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee4() {
      var _props$getResultTypeL, _resultType4, _props$editItem3, _props$editItem4, _props$editItem5, _typeList$, _props$editItem6, _typeList$2, operator, resultType, typeList, _props$editItem, _resultType, _props$getOperatorLis2, _resultType2, list, _props$getOperatorLis3, _resultType3, _list, valDef, INPUT_TYPE, value;
      return _regeneratorRuntime().wrap(function _callee4$(_context4) {
        while (1) switch (_context4.prev = _context4.next) {
          case 0:
            if (!mainSelRows) {
              _context4.next = 33;
              break;
            }
            //逻辑判断
            //结果类型
            setSpecialResult(false);
            //结果类型数据 例:当次结果 - 等于
            _context4.next = 4;
            return (_props$getResultTypeL = props.getResultTypeList) === null || _props$getResultTypeL === void 0 ? void 0 : _props$getResultTypeL.call(props, mainSelRows === null || mainSelRows === void 0 ? void 0 : mainSelRows.CLASS_ID);
          case 4:
            _context4.t0 = _context4.sent;
            if (_context4.t0) {
              _context4.next = 7;
              break;
            }
            _context4.t0 = [];
          case 7:
            typeList = _context4.t0;
            setResultTypeList(typeList);
            if ((typeList === null || typeList === void 0 ? void 0 : typeList.length) > 0) {
              resultType = (_props$editItem = props.editItem) !== null && _props$editItem !== void 0 && (_props$editItem = _props$editItem.field) !== null && _props$editItem !== void 0 && _props$editItem.resultType ? typeList === null || typeList === void 0 ? void 0 : typeList.find(function (p) {
                var _props$editItem2;
                return p.key === ((_props$editItem2 = props.editItem) === null || _props$editItem2 === void 0 || (_props$editItem2 = _props$editItem2.field) === null || _props$editItem2 === void 0 ? void 0 : _props$editItem2.resultType);
              }) : typeList[0];
              setSpecialResult(((_resultType = resultType) === null || _resultType === void 0 ? void 0 : _resultType.ifSpecial) || false);
            } else {
              setSpecialResult(false);
            }

            //编辑状态下数据可以根据编辑的参数查询
            if (!props.editItem) {
              _context4.next = 18;
              break;
            }
            _context4.next = 13;
            return (_props$getOperatorLis2 = props.getOperatorList) === null || _props$getOperatorLis2 === void 0 ? void 0 : _props$getOperatorLis2.call(props, mainSelRows === null || mainSelRows === void 0 ? void 0 : mainSelRows.CLASS_ID, (_resultType2 = resultType) === null || _resultType2 === void 0 ? void 0 : _resultType2.key);
          case 13:
            list = _context4.sent;
            setOperatorList(list || []);
            operator = props.editItem.operator || '';
            _context4.next = 23;
            break;
          case 18:
            _context4.next = 20;
            return (_props$getOperatorLis3 = props.getOperatorList) === null || _props$getOperatorLis3 === void 0 ? void 0 : _props$getOperatorLis3.call(props, mainSelRows === null || mainSelRows === void 0 ? void 0 : mainSelRows.CLASS_ID, (_resultType3 = resultType) === null || _resultType3 === void 0 ? void 0 : _resultType3.key);
          case 20:
            _list = _context4.sent;
            setOperatorList(_list || []);
            operator = _list && (_list === null || _list === void 0 ? void 0 : _list.length) > 0 ? _list[0].name : '';
          case 23:
            _context4.next = 25;
            return props.getValueList(mainSelRows.CLASS_ID, (_resultType4 = resultType) === null || _resultType4 === void 0 ? void 0 : _resultType4.key, operator);
          case 25:
            valDef = _context4.sent;
            setValueListDef(valDef);

            // 结果设置的列设置和数据
            valueList.current = valDef;
            INPUT_TYPE = valDef.INPUT_TYPE || mainSelRows.INPUT_TYPE || ''; // 时间格式处理
            value = ((_props$editItem3 = props.editItem) === null || _props$editItem3 === void 0 ? void 0 : _props$editItem3.value) || undefined;
            if (INPUT_TYPE === 'DATE' || INPUT_TYPE === 'DATE_TIME') {
              value = value ? dayjs(value) : dayjs();
            }
            setResultItem({
              value: value,
              //结果值
              operation: operator,
              //逻辑运算符
              resultType: resultType,
              //结果类型
              judgeResult: (_props$editItem4 = props.editItem) === null || _props$editItem4 === void 0 || (_props$editItem4 = _props$editItem4.field) === null || _props$editItem4 === void 0 ? void 0 : _props$editItem4.judgeResult,
              //额外的配置条件值-表格结果
              reviewDay: ((_props$editItem5 = props.editItem) === null || _props$editItem5 === void 0 || (_props$editItem5 = _props$editItem5.field) === null || _props$editItem5 === void 0 ? void 0 : _props$editItem5.reviewDay) || (typeList === null || typeList === void 0 || (_typeList$ = typeList[0]) === null || _typeList$ === void 0 ? void 0 : _typeList$.reviewDay),
              //展示时间间隔-业务
              dateRange: ((_props$editItem6 = props.editItem) === null || _props$editItem6 === void 0 || (_props$editItem6 = _props$editItem6.field) === null || _props$editItem6 === void 0 ? void 0 : _props$editItem6.dateRange) || (typeList === null || typeList === void 0 || (_typeList$2 = typeList[0]) === null || _typeList$2 === void 0 ? void 0 : _typeList$2.dateRange) //展示回顾天数-业务
            });
            setInputType(INPUT_TYPE);
          case 33:
          case "end":
            return _context4.stop();
        }
      }, _callee4);
    }));
    return function getFieldDef() {
      return _ref4.apply(this, arguments);
    };
  }();
  useEffect(function () {
    getFieldDef();
  }, [mainSelRows]);

  // 多选选中
  var onChangeSelect = function onChangeSelect(e) {
    var _valueListDef$data;
    var list = cloneDeep(resultItem.value) || [];
    var x = valueListDef === null || valueListDef === void 0 || (_valueListDef$data = valueListDef.data) === null || _valueListDef$data === void 0 ? void 0 : _valueListDef$data.find(function (p) {
      return p.VALUE_ID === e;
    });
    if (x) {
      x.key = x.VALUE_ID;
      list.push(x);
    } else {
      list.push({
        key: e,
        VALUE_ID: e,
        VALUE_NAME: e,
        isInput: '1'
      });
    }
    editResultItem('value', list);
  };

  // 多选取消
  var onDeselect = function onDeselect(e) {
    var _resultItem$value;
    var data = (_resultItem$value = resultItem.value) === null || _resultItem$value === void 0 ? void 0 : _resultItem$value.filter(function (p) {
      return p.VALUE_ID !== e;
    });
    editResultItem('value', _toConsumableArray(data));
  };

  // 项目列表关键字检索
  var onFilterFieldList = function onFilterFieldList(e) {
    var _fieldList$current, _fieldList$current2;
    var list = {
      colDef: ((_fieldList$current = fieldList.current) === null || _fieldList$current === void 0 ? void 0 : _fieldList$current.colDef) || [],
      filterCode: (_fieldList$current2 = fieldList.current) === null || _fieldList$current2 === void 0 ? void 0 : _fieldList$current2.filterCode,
      data: []
    };
    if (e.target.value) {
      var _mainListDef$filterCo;
      var _data = [];
      mainListDef === null || mainListDef === void 0 || (_mainListDef$filterCo = mainListDef.filterCode) === null || _mainListDef$filterCo === void 0 || _mainListDef$filterCo.forEach(function (item) {
        var _fieldList$current3, _fieldList$current4;
        if ((_fieldList$current3 = fieldList.current) !== null && _fieldList$current3 !== void 0 && _fieldList$current3.allDatas && ((_fieldList$current4 = fieldList.current) === null || _fieldList$current4 === void 0 || (_fieldList$current4 = _fieldList$current4.allDatas) === null || _fieldList$current4 === void 0 ? void 0 : _fieldList$current4.length) > 0) {
          var _fieldList$current5;
          var d = (_fieldList$current5 = fieldList.current) === null || _fieldList$current5 === void 0 || (_fieldList$current5 = _fieldList$current5.allDatas) === null || _fieldList$current5 === void 0 ? void 0 : _fieldList$current5.filter(function (p) {
            var _p$item$toUpperCase;
            return p[item] && ((_p$item$toUpperCase = p[item].toUpperCase()) === null || _p$item$toUpperCase === void 0 ? void 0 : _p$item$toUpperCase.indexOf(e.target.value.toUpperCase())) > -1;
          });
          if (d && d.length > 0) _data.push.apply(_data, _toConsumableArray(d));
        } else {
          var _fieldList$current6;
          var _d = (_fieldList$current6 = fieldList.current) === null || _fieldList$current6 === void 0 || (_fieldList$current6 = _fieldList$current6.data) === null || _fieldList$current6 === void 0 ? void 0 : _fieldList$current6.filter(function (p) {
            var _p$item$toUpperCase2;
            return p[item] && ((_p$item$toUpperCase2 = p[item].toUpperCase()) === null || _p$item$toUpperCase2 === void 0 ? void 0 : _p$item$toUpperCase2.indexOf(e.target.value.toUpperCase())) > -1;
          });
          if (_d && _d.length > 0) _data.push.apply(_data, _toConsumableArray(_d));
        }
      });
      list.data = values(keyBy(_data, 'CLASS_ID'));
      setMainListDef(list);
    } else {
      setMainListDef(fieldList.current);
    }
  };

  //结果列表关键字检索
  var onFilterValueList = function onFilterValueList(e) {
    var _valueList$current, _valueList$current2;
    var list = {
      colDef: ((_valueList$current = valueList.current) === null || _valueList$current === void 0 ? void 0 : _valueList$current.colDef) || [],
      filterCode: (_valueList$current2 = valueList.current) === null || _valueList$current2 === void 0 ? void 0 : _valueList$current2.filterCode,
      data: []
    };
    if (e.target.value) {
      var _valueListDef$filterC;
      var _data2 = [];
      valueListDef === null || valueListDef === void 0 || (_valueListDef$filterC = valueListDef.filterCode) === null || _valueListDef$filterC === void 0 || _valueListDef$filterC.forEach(function (item) {
        var _valueList$current3, _valueList$current4;
        if ((_valueList$current3 = valueList.current) !== null && _valueList$current3 !== void 0 && _valueList$current3.allDatas && ((_valueList$current4 = valueList.current) === null || _valueList$current4 === void 0 || (_valueList$current4 = _valueList$current4.allDatas) === null || _valueList$current4 === void 0 ? void 0 : _valueList$current4.length) > 0) {
          var _valueList$current5;
          var d = (_valueList$current5 = valueList.current) === null || _valueList$current5 === void 0 || (_valueList$current5 = _valueList$current5.allDatas) === null || _valueList$current5 === void 0 ? void 0 : _valueList$current5.filter(function (p) {
            var _p$item$toUpperCase3;
            return p[item] && ((_p$item$toUpperCase3 = p[item].toUpperCase()) === null || _p$item$toUpperCase3 === void 0 ? void 0 : _p$item$toUpperCase3.indexOf(e.target.value.toUpperCase())) > -1;
          });
          if (d && d.length > 0) _data2.push.apply(_data2, _toConsumableArray(d));
        } else {
          var _valueList$current6;
          var _d2 = (_valueList$current6 = valueList.current) === null || _valueList$current6 === void 0 || (_valueList$current6 = _valueList$current6.data) === null || _valueList$current6 === void 0 ? void 0 : _valueList$current6.filter(function (p) {
            var _p$item$toUpperCase4;
            return p[item] && ((_p$item$toUpperCase4 = p[item].toUpperCase()) === null || _p$item$toUpperCase4 === void 0 ? void 0 : _p$item$toUpperCase4.indexOf(e.target.value.toUpperCase())) > -1;
          });
          if (_d2 && _d2.length > 0) _data2.push.apply(_data2, _toConsumableArray(_d2));
        }
      });
      list.data = values(keyBy(_data2, 'VALUE_ID'));
      setValueListDef(list);
    } else {
      setValueListDef(valueList.current);
    }
  };
  return /*#__PURE__*/React.createElement("div", {
    className: "predicate-item-edit"
  }, props.mode === 'horizontal' && /*#__PURE__*/React.createElement("div", {
    className: "action"
  }, /*#__PURE__*/React.createElement(_Tabs, {
    items: tabList === null || tabList === void 0 ? void 0 : tabList.map(function (tab) {
      return _objectSpread(_objectSpread({}, tab), {}, {
        disabled: props.editItem && tab.key !== activeTab
      });
    }),
    onChange: function onChange(e) {
      var _props$onChangeTab;
      setActiveTab(e);
      setMainListDef(undefined);
      onCancelEdit();
      (_props$onChangeTab = props.onChangeTab) === null || _props$onChangeTab === void 0 || _props$onChangeTab.call(props, e);
    },
    activeKey: activeTab,
    size: "small"
  })), /*#__PURE__*/React.createElement("div", {
    style: {
      flex: '1 1 100px',
      display: 'flex',
      flexDirection: props.mode === 'horizontal' ? 'column' : 'row',
      boxSizing: 'border-box'
    }
  }, /*#__PURE__*/React.createElement("div", {
    style: {
      flex: '1 1 160px',
      borderRight: props.mode === 'horizontal' ? '0' : '1px solid #ddd',
      display: 'flex',
      flexDirection: 'column'
    }
  }, props.mode === 'vertical' && /*#__PURE__*/React.createElement("div", {
    className: "action"
  }, /*#__PURE__*/React.createElement(_Tabs, {
    items: tabList === null || tabList === void 0 ? void 0 : tabList.map(function (tab) {
      return _objectSpread(_objectSpread({}, tab), {}, {
        disabled: props.editItem && tab.key !== activeTab
      });
    }),
    onChange: function onChange(e) {
      var _props$onChangeTab2;
      setActiveTab(e);
      onCancelEdit();
      (_props$onChangeTab2 = props.onChangeTab) === null || _props$onChangeTab2 === void 0 || _props$onChangeTab2.call(props, e);
    },
    activeKey: activeTab,
    size: "small"
  })), /*#__PURE__*/React.createElement("div", {
    className: "field-select",
    style: props.compact ? {
      flex: '0 0'
    } : {
      minHeight: (mainListDef === null || mainListDef === void 0 ? void 0 : mainListDef.tableHeight) || '160px'
    }
  }, !props.compact && /*#__PURE__*/React.createElement(XDataGrid, {
    onSelectionChanged: function onSelectionChanged(e) {
      var _props$onChangeSelect;
      if (e.length > 0) setMainSelRows(e[0]);
      (_props$onChangeSelect = props.onChangeSelect) === null || _props$onChangeSelect === void 0 || _props$onChangeSelect.call(props, e[0]);
    },
    rowID: "CLASS_ID",
    selectedRows: mainSelRows && [mainSelRows] || [],
    hideStatusBar: true,
    showSelectionCol: true,
    rowSelection: "single",
    autoFitWith: true,
    columnDefs: (mainListDef === null || mainListDef === void 0 ? void 0 : mainListDef.colDef) || [],
    data: mainListDef === null || mainListDef === void 0 ? void 0 : mainListDef.data,
    disabled: !!props.editItem,
    showRowNumberCol: props.showRowNumberCol,
    title: mainListDef !== null && mainListDef !== void 0 && mainListDef.tableTitle ? mainListDef === null || mainListDef === void 0 ? void 0 : mainListDef.tableTitle((_fieldList$current7 = fieldList.current) === null || _fieldList$current7 === void 0 ? void 0 : _fieldList$current7.data, function (list) {
      setMainListDef(_objectSpread(_objectSpread({}, mainListDef), {}, {
        data: list
      }));
    }) : (mainListDef === null || mainListDef === void 0 ? void 0 : mainListDef.filterCode) && /*#__PURE__*/React.createElement(_Input, {
      size: "small",
      placeholder: "\u8F93\u5165\u5173\u952E\u5B57\u68C0\u7D22",
      onPressEnter: onFilterFieldList,
      allowClear: true
    }),
    gridConfigJson: (mainListDef === null || mainListDef === void 0 ? void 0 : mainListDef.gridConfigJson) || {},
    gridOptions: (mainListDef === null || mainListDef === void 0 ? void 0 : mainListDef.gridOptions) || {}
  }), props.compact && /*#__PURE__*/React.createElement("div", {
    className: "field-select-compact"
  }, /*#__PURE__*/React.createElement(XSelector, {
    style: {
      minWidth: '80px'
    },
    defaultValue: mainSelRows && [mainSelRows] || [],
    onSelectChange: function onSelectChange(e) {
      setMainSelRows(e[0]);
    },
    valueRow: "CLASS_ID",
    nameRow: "CLASS_NAME",
    colDef: (mainListDef === null || mainListDef === void 0 ? void 0 : mainListDef.colDef) || [],
    data: mainListDef === null || mainListDef === void 0 ? void 0 : mainListDef.data,
    placeholder: "\u8BF7\u9009\u62E9\u6761\u4EF6\u7C7B\u578B",
    disabled: !!props.editItem,
    showSearch: true
  })))), /*#__PURE__*/React.createElement("div", {
    style: {
      flex: '1',
      padding: '0 4px'
    }
  }, /*#__PURE__*/React.createElement(_Divider, {
    orientationMargin: 2,
    orientation: "left",
    plain: true,
    style: {
      margin: '0',
      color: '#a0adc3'
    }
  }, "\u6761\u4EF6\u8FDE\u63A5\u7B26"), /*#__PURE__*/React.createElement("div", {
    className: "operator-select",
    style: specialResult && props.mode === 'vertical' ? {
      flexDirection: 'column',
      alignItems: 'flex-start'
    } : {}
  }, /*#__PURE__*/React.createElement(_Row, {
    gutter: [8, 8]
  }, resultItem !== null && resultItem !== void 0 && (_resultItem$resultTyp2 = resultItem.resultType) !== null && _resultItem$resultTyp2 !== void 0 && _resultItem$resultTyp2.key ? resultTypeList && resultTypeList.length > 0 && /*#__PURE__*/React.createElement(_Col, {
    span: 12
  }, /*#__PURE__*/React.createElement(_Select, {
    showSearch: true,
    style: {
      width: '100%'
    },
    value: (_resultItem$resultTyp3 = resultItem.resultType) === null || _resultItem$resultTyp3 === void 0 ? void 0 : _resultItem$resultTyp3.key,
    onChange: function onChange(e) {
      return editResultItem('resultType', e);
    },
    fieldNames: {
      value: 'key',
      label: 'name'
    },
    filterOption: function filterOption(input, option) {
      var _option$name;
      return ((_option$name = option === null || option === void 0 ? void 0 : option.name) !== null && _option$name !== void 0 ? _option$name : '').includes(input);
    },
    options: resultTypeList
  })) : '', resultItem.reviewDay !== undefined && /*#__PURE__*/React.createElement(_Col, {
    span: 12
  }, /*#__PURE__*/React.createElement(_Tooltip, {
    title: "\u56DE\u6EAF\u5929\u6570"
  }, /*#__PURE__*/React.createElement(_InputNumber, {
    style: {
      width: '100%'
    },
    placeholder: "\u56DE\u6EAF\u5929\u6570",
    onChange: function onChange(e) {
      return editResultItem('reviewDay', e || 0);
    },
    value: resultItem.reviewDay,
    min: 0,
    addonAfter: "\u5929\u5185"
  }))), resultItem.dateRange !== undefined && /*#__PURE__*/React.createElement(_Col, {
    span: 12
  }, /*#__PURE__*/React.createElement(_Tooltip, {
    title: "\u65F6\u95F4\u95F4\u9694"
  }, /*#__PURE__*/React.createElement(_InputNumber, {
    style: {
      width: '100%'
    },
    placeholder: "\u65F6\u95F4\u95F4\u9694",
    onChange: function onChange(e) {
      return editResultItem('dateRange', e || 0);
    },
    value: resultItem.dateRange,
    min: 0
  }))), !specialResult && /*#__PURE__*/React.createElement(_Col, {
    span: 12
  }, /*#__PURE__*/React.createElement(_Select, {
    showSearch: true,
    value: resultItem.operation,
    style: {
      width: '100%'
    },
    onChange: ( /*#__PURE__*/function () {
      var _ref5 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee5(e) {
        return _regeneratorRuntime().wrap(function _callee5$(_context5) {
          while (1) switch (_context5.prev = _context5.next) {
            case 0:
              editResultItem('operation', e);
            case 1:
            case "end":
              return _context5.stop();
          }
        }, _callee5);
      }));
      return function (_x5) {
        return _ref5.apply(this, arguments);
      };
    }()),
    fieldNames: {
      value: 'name',
      label: 'label'
    },
    filterOption: function filterOption(input, option) {
      var _option$label;
      return ((_option$label = option === null || option === void 0 ? void 0 : option.label) !== null && _option$label !== void 0 ? _option$label : '').includes(input);
    }
    //@ts-ignore
    ,
    options: operatorList
  })))), /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(_Divider, {
    orientationMargin: 2,
    orientation: "left",
    plain: true,
    style: {
      margin: '0',
      color: '#a0adc3'
    }
  }, "\u6761\u4EF6\u503C"), /*#__PURE__*/React.createElement("div", {
    className: "value-select ".concat(inputType === 'SELECT' || inputType === 'MULTIPLE_SELECT' ? 'value-select-list' : ''),
    style: valueListDef !== null && valueListDef !== void 0 && valueListDef.tableHeight ? {
      minHeight: inputType === 'TEXT+MULTIPLE_SELECT' ? Number(valueListDef === null || valueListDef === void 0 ? void 0 : valueListDef.tableHeight.split('px')[0]) + 35 + 'px' : valueListDef === null || valueListDef === void 0 ? void 0 : valueListDef.tableHeight,
      height: inputType === 'TEXT+MULTIPLE_SELECT' ? Number(valueListDef === null || valueListDef === void 0 ? void 0 : valueListDef.tableHeight.split('px')[0]) + 35 + 'px' : valueListDef === null || valueListDef === void 0 ? void 0 : valueListDef.tableHeight
    } : inputType === 'SELECT' || inputType === 'MULTIPLE_SELECT' ? {
      minHeight: '185px',
      height: '185px'
    } : {}
  }, ((_resultItem$resultTyp4 = resultItem.resultType) === null || _resultItem$resultTyp4 === void 0 ? void 0 : _resultItem$resultTyp4.resultType) !== 'none' && /*#__PURE__*/React.createElement(React.Fragment, null, inputType === 'TEXT+MULTIPLE_SELECT' && /*#__PURE__*/React.createElement(_Select, {
    showSearch: true,
    mode: "tags",
    style: {
      width: '100%'
    },
    options: valueListDef === null || valueListDef === void 0 ? void 0 : valueListDef.data,
    fieldNames: {
      value: 'VALUE_ID',
      label: 'VALUE_NAME'
    },
    value: resultItem.value,
    filterOption: function filterOption(input, option) {
      var _option$VALUE_NAME;
      return ((_option$VALUE_NAME = option === null || option === void 0 ? void 0 : option.VALUE_NAME) !== null && _option$VALUE_NAME !== void 0 ? _option$VALUE_NAME : '').includes(input);
    },
    onSelect: onChangeSelect,
    onDeselect: onDeselect
  }), inputType === 'AUTOCOMPLETE' && /*#__PURE__*/React.createElement(_AutoComplete, {
    showSearch: true,
    style: {
      width: '100%'
    },
    options: valueListDef === null || valueListDef === void 0 ? void 0 : valueListDef.data,
    fieldNames: {
      value: 'VALUE_ID',
      label: 'VALUE_NAME'
    },
    value: resultItem.value,
    popupMatchSelectWidth: (valueListDef === null || valueListDef === void 0 || (_valueListDef$ = valueListDef[0]) === null || _valueListDef$ === void 0 ? void 0 : _valueListDef$.dropSelectWidth) || true,
    filterOption: function filterOption(input, option) {
      var _option$VALUE_NAME2;
      return ((_option$VALUE_NAME2 = option === null || option === void 0 ? void 0 : option.VALUE_NAME) !== null && _option$VALUE_NAME2 !== void 0 ? _option$VALUE_NAME2 : '').includes(input);
    },
    onSelect: function onSelect(e) {
      return editResultItem('value', e);
    },
    onChange: function onChange(e) {
      return editResultItem('value', e);
    }
  }), inputType === 'TREE_SELECT' && /*#__PURE__*/React.createElement(_TreeSelect, {
    showSearch: true,
    maxTagTextLength: 4,
    maxTagCount: 5,
    style: {
      width: '100%'
    },
    treeData: valueListDef === null || valueListDef === void 0 ? void 0 : valueListDef.data,
    fieldNames: {
      value: 'VALUE_ID',
      label: 'VALUE_NAME'
    },
    treeCheckable: true,
    showCheckedStrategy: 'SHOW_PARENT',
    value: map(resultItem.value, 'VALUE_ID'),
    popupMatchSelectWidth: (valueListDef === null || valueListDef === void 0 || (_valueListDef$2 = valueListDef[0]) === null || _valueListDef$2 === void 0 ? void 0 : _valueListDef$2.dropSelectWidth) || true,
    notFoundContent: "\u6682\u65E0\u6570\u636E",
    filterTreeNode: function filterTreeNode(input, option) {
      var _option$VALUE_NAME3;
      return ((_option$VALUE_NAME3 = option === null || option === void 0 ? void 0 : option.VALUE_NAME) !== null && _option$VALUE_NAME3 !== void 0 ? _option$VALUE_NAME3 : '').includes(input);
    },
    onSelect: onChangeSelect,
    onDeselect: onDeselect
  }), ['MULTIPLE_SELECT', 'TEXT+XSELECT', 'SELECT', 'TEXT+MULTIPLE_XSELECT'].includes(inputType) && /*#__PURE__*/React.createElement("div", {
    style: {
      minHeight: (valueListDef === null || valueListDef === void 0 ? void 0 : valueListDef.tableHeight) || '160px',
      height: (valueListDef === null || valueListDef === void 0 ? void 0 : valueListDef.tableHeight) || '160px'
    }
  }, /*#__PURE__*/React.createElement(XDataGrid, {
    rowID: "VALUE_ID",
    showSelectionCol: true,
    rowSelection: ['SELECT', 'TEXT+XSELECT'].includes(inputType) ? 'single' : 'multiple',
    autoFitWith: true,
    columnDefs: (valueListDef === null || valueListDef === void 0 ? void 0 : valueListDef.colDef) || [],
    selectedRows: resultItem.value && _typeof(resultItem.value) === 'object' && resultItem.value || [],
    onSelectionChanged: function onSelectionChanged(e) {
      editResultItem('value', e);
    },
    data: valueListDef === null || valueListDef === void 0 ? void 0 : valueListDef.data,
    hideStatusBar: true,
    showRowNumberCol: props.showRowNumberCol,
    title: valueListDef !== null && valueListDef !== void 0 && valueListDef.tableTitle ? valueListDef === null || valueListDef === void 0 ? void 0 : valueListDef.tableTitle((_valueList$current7 = valueList.current) === null || _valueList$current7 === void 0 ? void 0 : _valueList$current7.data, function (list) {
      setValueListDef(_objectSpread(_objectSpread({}, valueListDef), {}, {
        data: list
      }));
    }) : (valueListDef === null || valueListDef === void 0 ? void 0 : valueListDef.filterCode) && /*#__PURE__*/React.createElement(_Input, {
      size: "small",
      placeholder: "\u8F93\u5165\u5173\u952E\u5B57\u68C0\u7D22",
      onPressEnter: onFilterValueList,
      allowClear: true
    }),
    gridConfigJson: (valueListDef === null || valueListDef === void 0 ? void 0 : valueListDef.gridConfigJson) || {},
    gridOptions: (valueListDef === null || valueListDef === void 0 ? void 0 : valueListDef.gridOptions) || {}
  })), inputType === 'NUMBER' && /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(_InputNumber, {
    placeholder: "\u8BF7\u8F93\u5165\u6761\u4EF6\u503C",
    style: {
      width: '100%'
    },
    onChange: function onChange(e) {
      return editResultItem('value', e);
    },
    value: resultItem.value && (!!Number(resultItem.value) || resultItem.value === '0') && Number(resultItem.value)
  })), inputType === 'TEXT' && /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(_Input, {
    placeholder: "\u8BF7\u8F93\u5165\u6761\u4EF6\u503C",
    style: {
      width: '100%'
    },
    onChange: function onChange(e) {
      return editResultItem('value', e.target.value);
    },
    value: resultItem.value
  })), inputType === 'DATE' && /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(XDatePicker, {
    formatter: "YYYY-MM-DD",
    showTimeSelect: false,
    value: dayjs(resultItem.value),
    onChange: function onChange(e) {
      return editResultItem('value', e);
    },
    style: {
      width: '100%'
    },
    smallSizePop: true
  })), inputType === 'DATE_TIME' && /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(XDatePicker, {
    formatter: "YYYY-MM-DD HH:mm",
    showTimeSelect: true,
    value: dayjs(resultItem.value),
    onChange: function onChange(e) {
      return editResultItem('value', e);
    },
    style: {
      width: '100%'
    },
    popOffset: [-83, -10],
    smallSizePop: true
  }))), !mainSelRows && /*#__PURE__*/React.createElement("div", {
    className: "empty"
  }, "\u8BF7\u9009\u62E9\u6761\u4EF6\u7C7B\u578B")), valueListDef && ((_resultItem$resultTyp5 = resultItem.resultType) === null || _resultItem$resultTyp5 === void 0 ? void 0 : _resultItem$resultTyp5.resultType) && ((_resultItem$resultTyp6 = resultItem.resultType) === null || _resultItem$resultTyp6 === void 0 ? void 0 : _resultItem$resultTyp6.resultType) !== 'none' && /*#__PURE__*/React.createElement("div", {
    className: "value-select ".concat('value-select-list'),
    style: {
      height: valueListDef === null || valueListDef === void 0 ? void 0 : valueListDef.tableHeight
    }
  }, /*#__PURE__*/React.createElement(XDataGrid, {
    rowID: "VALUE_ID",
    showSelectionCol: true,
    rowSelection: 'multiple',
    autoFitWith: true,
    columnDefs: (valueListDef === null || valueListDef === void 0 ? void 0 : valueListDef.colDef) || [],
    selectedRows: resultItem.judgeResult || [],
    onSelectionChanged: function onSelectionChanged(e) {
      editResultItem('judgeResult', e);
    },
    data: valueListDef === null || valueListDef === void 0 ? void 0 : valueListDef.data,
    hideStatusBar: true,
    showRowNumberCol: props.showRowNumberCol,
    title: (valueListDef === null || valueListDef === void 0 ? void 0 : valueListDef.filterCode) && /*#__PURE__*/React.createElement(_Input, {
      size: "small",
      placeholder: "\u8F93\u5165\u5173\u952E\u5B57\u68C0\u7D22",
      onPressEnter: onFilterValueList,
      allowClear: true
    })
  })), props.mode === 'vertical' && /*#__PURE__*/React.createElement("div", {
    className: "operator-btn"
  }, !props.editItem && /*#__PURE__*/React.createElement(_Button, {
    disabled: props.disabled,
    style: {
      width: '100%'
    },
    onClick: onInsertField,
    icon: /*#__PURE__*/React.createElement(PlusOutlined, null)
  }, "\u63D2\u5165\u8BE5\u6761\u4EF6"), props.editItem && /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(_Button, {
    icon: /*#__PURE__*/React.createElement(RedoOutlined, null),
    onClick: function onClick() {
      var _props$onClearEdit;
      (_props$onClearEdit = props.onClearEdit) === null || _props$onClearEdit === void 0 || _props$onClearEdit.call(props);
      setMainSelRows(undefined);
    },
    style: {
      marginRight: '3px'
    }
  }, "\u653E\u5F03\u4FEE\u6539"), /*#__PURE__*/React.createElement(_Button, {
    icon: /*#__PURE__*/React.createElement(SaveOutlined, null),
    onClick: onInsertField
  }, "\u4FDD\u5B58\u4FEE\u6539"))))), props.mode === 'horizontal' && /*#__PURE__*/React.createElement("div", {
    style: {
      padding: '0 3px'
    }
  }, /*#__PURE__*/React.createElement("div", {
    className: "operator-btn"
  }, !props.editItem && /*#__PURE__*/React.createElement(_Button, {
    disabled: props.disabled,
    style: {
      width: '100%'
    },
    onClick: onInsertField,
    icon: /*#__PURE__*/React.createElement(PlusOutlined, null)
  }, "\u63D2\u5165\u8BE5\u6761\u4EF6"), props.editItem && /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(_Button, {
    icon: /*#__PURE__*/React.createElement(RedoOutlined, null),
    onClick: function onClick() {
      var _props$onClearEdit2;
      (_props$onClearEdit2 = props.onClearEdit) === null || _props$onClearEdit2 === void 0 || _props$onClearEdit2.call(props);
      setMainSelRows(undefined);
    },
    style: {
      marginRight: '10px'
    }
  }, "\u653E\u5F03\u4FEE\u6539"), /*#__PURE__*/React.createElement(_Button, {
    icon: /*#__PURE__*/React.createElement(SaveOutlined, null),
    onClick: onInsertField
  }, "\u4FDD\u5B58\u4FEE\u6539"))))));
}