import _theme from "antd/es/theme";
import zhCN from 'antd/locale/zh_CN';
var commconfig = {
  theme: {
    algorithm: _theme.compactAlgorithm,
    token: {
      borderRadius: 2
    },
    components: {
      Button: {
        paddingInline: 6,
        borderColorDisabled: "#b6b9c4",
        colorTextDisabled: '#fff',
        colorBgContainerDisabled: '#b6b9c4',
        primaryShadow: 'none',
        //按规范，28px的按钮视觉上会大于28px的输入框，所以修正为27
        controlHeight: 28
        // contentLineHeight: 1.9
      },
      Input: {
        fontSize: 13,
        colorBorder: '#CFD1D7',
        addonBg: '#fff',
        paddingInline: 6
      },
      Select: {
        optionPadding: '4px',
        fontSize: 13
      },
      InputNumber: {
        handleVisible: true,
        handleFontSize: 11
      },
      Dropdown: {
        controlItemBgHover: '#e8f1ff',
        controlPaddingHorizontal: 8
      },
      Checkbox: {
        fontSize: 13,
        controlInteractiveSize: 16
      },
      Form: {
        itemMarginBottom: 4,
        labelColor: '#868B9C',
        labelFontSize: 13
      },
      Tree: {
        directoryNodeSelectedBg: '#d4e4ff',
        directoryNodeSelectedColor: '#000',
        nodeSelectedBg: '#d4e4ff',
        nodeHoverBg: '#d4e4ff',
        controlItemBgHover: '#d4e4ff',
        fontSize: 13,
        titleHeight: 28
      }
    }
  },
  button: {
    autoInsertSpace: false
  },
  locale: zhCN
};
export default commconfig;