import _slicedToArray from "@babel/runtime/helpers/esm/slicedToArray";
import React, { createContext, useState } from 'react';

// 定义上下文的类型

// 创建上下文，指定类型
var LocaleContext = /*#__PURE__*/createContext(undefined);

// 创建 Provider 组件
var LocaleContextProvider = function LocaleContextProvider(_ref) {
  var children = _ref.children;
  var _useState = useState('zh-CN'),
    _useState2 = _slicedToArray(_useState, 2),
    value = _useState2[0],
    setValue = _useState2[1];
  return /*#__PURE__*/React.createElement(LocaleContext.Provider, {
    value: {
      value: value,
      setValue: setValue
    }
  }, children);
};
export { LocaleContext, LocaleContextProvider };