import _extends from "@babel/runtime/helpers/esm/extends";
/*
 * @Author: chenzenghua
 * @Date: 2022-11-25 14:30:53
 * @LastEditTime: 2024-05-07 19:54:38
 * @LastEditors: chenzenghua
 * @Description:
 */
import React from 'react';
import CustomScroll from 'react-custom-scroll';
import "./customScroll.less";
/**
 * 组件暂不支持水平滚动条
 * 滚动条占位会在内容之上,所以使用场景较小,请谨慎采用
 */
export default function Index(props) {
  return /*#__PURE__*/React.createElement(CustomScroll, _extends({
    style: {
      pointerEvents: 'none'
    },
    heightRelativeToParent: "100%"
  }, props, {
    className: props.noAutoHide ? 'noHide' : ''
  }), props.children);
}